boinc (7.4.18+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release, drop mv-md5.patch and
    libnotify-0.7.patch, accepted upstream.
  * Patch refresh.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 01 Sep 2014 15:01:37 +0200

boinc (7.4.14+dfsg-2exp2) experimental; urgency=medium

  * Correctly exporting LDFLAGS prior to add them.
  * Move .gitignore to debian directory, to keep the delta from
    upstream minimal.
  * d/p/fix-dependencies.patch depending from a target rather than la
    (to avoid race conditions between the "ln" and the use of the
    static library)
  * Remove double LDFLAG inclusion in add-ldflags.patch

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 30 Aug 2014 20:31:45 +0200

boinc (7.4.14+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental, with the boinc-server-* packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 28 Aug 2014 19:00:36 +0200

boinc (7.4.14+dfsg-2) unstable; urgency=medium

  * Update fix-typo.patch with another typo fixed.
  * Move boinc-client from depends of boinc-manager.
  * Export again hardening flags.
  * Fix typo in rules file (override_dh_auto_install called
    as rm argument).
  * Enable parallel builds only for experimental (Closes: #758184).
  * Fix lintian duplicate short description on boinc-dev.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 14 Aug 2014 10:38:10 +0200

boinc (7.4.14+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental, with the boinc-server packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 13 Aug 2014 20:36:56 +0200

boinc (7.4.14+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Remove X-interactive from init script, not used.
  * Fix a typo in lib/Makefile.am (typo-fix.patch)
  * Disable dynamic_libboinc.patch, it was not needed and moreover
    it causes the dependency chain to be deleted
  * Remove parallel-build.patch, not needed anymore.
  * Simplify debian/rules, many workarounds are not needed.
  * Use dh-autoreconf.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 12 Aug 2014 11:10:29 +0200

boinc (7.4.8+dfsg-3exp3) experimental; urgency=medium

  * d/p/parallel-build.patch d/r
    enabled parallel build for all builds, now the package
    should build properly.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 05 Aug 2014 13:22:53 +0200

boinc (7.4.8+dfsg-3exp2) experimental; urgency=medium

  * Build with --parallel for experimental builds
  * Truly remove .o files from boinc-server-maker

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 21 Jul 2014 11:59:22 +0200

boinc (7.4.8+dfsg-3exp1) experimental; urgency=medium

  * Upload to experimental, with server packages. 

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 18 Jul 2014 12:16:30 +0200

boinc (7.4.8+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  * Reverting some control.in changes to let the package
    be NMUable.
  * Remove a .o file from server-maker package

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 18 Jul 2014 10:54:49 +0200

boinc (7.4.8+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 16 Jul 2014 16:50:27 +0200

boinc (7.4.8+dfsg-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Move ati and nvidia libraries from depends to suggests,
    avoiding the removals from testing at each xorg transition.

  [ Gianfranco Costamagna ]
  * Change libwxgtk2.8-dbg to libwxgtk3.0-0-dbg.
  * Add some cuda suggestions, to help both ubuntu and debian users
    Thanks Danilo for the patch.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 04 Jul 2014 14:22:31 +0200

boinc (7.4.8+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 28 Jun 2014 12:55:35 +0200

boinc (7.4.8+dfsg-1) unstable; urgency=medium

  * New upstream release. (LP: #1332955)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 28 Jun 2014 12:35:21 +0200

boinc (7.4.7+dfsg-1exp1) experimental; urgency=medium

  * New upstream release.

  [ Steffen Moeller ]
  * Automatic download of Linux BOINC server apps.

  [ Guo Yixuan (郭溢譞) ]
  * Dropped ticket_1168_verifycerts.patch: the bug was already fixed.
  * Dropped several debugging-only patches:
    - investigate_boinc_api.patch
    - opendir_errno.patch
    - opendir_error_messages.patch
    - slot_dir_source_trace.patch
    - improve_opendir_warning.patch
  * Dropped sched_driver_f_free.patch: the relevant part was already
    merged in upstream.

  [ Gianfranco Costamagna ]
  * Dropped fix-747964.patch (Reopen: #747964)
    Upstream says this is unreachable code, no need to fix.
  * Update cc_config.xml link, thanks to Danilo for the report.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Mon, 23 Jun 2014 22:00:17 -0400

boinc (7.4.1+dfsg-1exp1) experimental; urgency=medium

  * New upstream release, some api changes, patch refresh
  * d/r: Removing some buildflags includes.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 11 Jun 2014 12:25:03 +0200

boinc (7.3.19+dfsg-3exp1) experimental; urgency=medium

  * Upload to experimental

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 02 Jun 2014 22:53:22 +0200

boinc (7.3.19+dfsg-3) unstable; urgency=medium

  * Upload to unstable, with disabled dependency tracking
    again, and disabled parallel builds.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 02 Jun 2014 22:42:40 +0200

boinc (7.3.19+dfsg-2exp2) experimental; urgency=low

  * Trying to fix FTBFS by disabling parallel builds.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 02 Jun 2014 08:10:31 +0200

boinc (7.3.19+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental, with server packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 30 May 2014 15:35:34 +0200

boinc (7.3.19+dfsg-2) unstable; urgency=low

  [ Guo Yixuan (郭溢譞) ]
  * Use more debhelper features.
  * Dropped some patches
    - parse_issues.patch: since the relevant part has been applied by
      the upstream already.
    - nvidia_mem_display_simplification.patch: the relevant part was
      already removed in a previous adjustment.

  [ Gianfranco Costamagna ]
  * Upload to unstable (Closes: #749843, #747964, #746830)
  * Fix typo in debian/rules, we were unnecessarily building server stuff.
  * Split the server dynamic linkage away from Missing_libSched.patch in a new
    boinc-server-dynamic-libs.patch patch

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 30 May 2014 15:27:55 +0200

boinc (7.3.19+dfsg-1) experimental; urgency=low

  * New upstream release, wx3.0 compatible.
    - add libwxgtk-webview3.0-dev as B-D
  * Removed patches addressed upstream:
    - 0001-Client-Unix-attempt-to-fix-freebsd-build-error.patch
    - correctly-set-OBJCXX.patch
    - hurd-ftbfs.patch
    - fixed-tools-permissions.patch
    - fix-android-build.patch
    - fix-file-perms.patch
    - fix-italian-po.patch
    - fix-lp-1274456.patch
  * Removed fix-add-exclusive-app.patch, addressed in wx3.0 switch
  * Tweak envargs patch, changing prototype.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 21 May 2014 16:49:07 +0200

boinc (7.2.47+dfsg-3) UNRELEASED; urgency=medium

  * Add return values to envargs function (Closes: #747964)
    Note: upstream didn't apply this patch because it seems to be
    unreachable code.
  * Fix gcc-4.9 build failure (Closes: #746830)
    - debian/patches/Missing_libSched.patch
    - patches/correctly-set-OBJCXX.patch

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 18 May 2014 20:58:51 +0200

boinc (7.2.47+dfsg-2exp1) experimental; urgency=medium

  * Release to experimental

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 18 May 2014 20:53:31 +0200

boinc (7.2.47+dfsg-2) unstable; urgency=medium

  * samples/zip/unzip only built with server.
  * Revert Versioned dependency on libcurl4-openssl-dev (>= 7.36.0)
    the build failure caused by old libcurl seems fixed.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 03 May 2014 15:15:32 +0200

boinc (7.2.47+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Versioned dependency on libcurl4-openssl-dev (>= 7.36.0) [moeller]

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sat, 05 Apr 2014 20:46:17 -0400

boinc (7.2.44+dfsg-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sat, 05 Apr 2014 13:09:31 -0400

boinc (7.2.43+dfsg-1) UNRELEASED; urgency=medium

  * New upstream release. (only bumped the version)

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sat, 05 Apr 2014 12:51:38 -0400

boinc (7.2.42+dfsg-1) unstable; urgency=medium

  * New upstream hotfix release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 01 Mar 2014 11:34:55 +0100

boinc (7.2.39+dfsg-2) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Probably fixed kfreebsd-* build failure with upstream patch
    0001-Client-Unix-attempt-to-fix-freebsd-build-error

  [ Guo Yixuan (郭溢譞) ]
  * Updated my uid in debian/control.
  * Corrected dependencies for boinc-dev split (Closes: #739663):
    - libboinc7: added breaks + replaces boinc-dev << 7.0.28+dfsg-3.
  * Brought boinc-amd-opencl back to sid.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Tue, 25 Feb 2014 01:21:44 -0500

boinc (7.2.39+dfsg-1) unstable; urgency=low

  * New upstream stable release, patch refresh
  * moved boinc-amd-opencl to experimental, to avoid "new" upload.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 18 Feb 2014 10:05:05 +0100

boinc (7.2.33+dfsg-2) UNRELEASED; urgency=low

  [Gianfranco Costamagna]
  * debian/rules
    - server always built
  * debian/control 
    - Moved from libcuda1-ia32 to libcuda1-i386 (Closes: #730841)
    - Removed ia32-libs references (Closes: #736814)
    - Removed libcuda-5.0-1, provided by libcuda1
    - Re-enabled boinc-amd-opencl for unstable
    - Dropped nvidia-current in favour of nvidia-304 | nvidia-310 | nvidia-319
      (LP: #1268409)
    - Added Jussi Lahtinen's patch for fixing LP: #1274456

  [Steffen Moeller]
  * Removed Daniel Hahler and Rene Mayorga from uploaders list
  * More rigorous clean: target (.libs, config.status, libtool)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 15 Feb 2014 14:33:45 +0100

boinc (7.2.33+dfsg-1) unstable; urgency=low

  * New upstream public release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 25 Nov 2013 18:02:52 +0100

boinc (7.2.28+dfsg-1exp2) UNRELEASED; urgency=low

  * Enabling boinc-amd-opencl for experimental builds

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 21 Nov 2013 11:35:52 +0100

boinc (7.2.28+dfsg-1exp1) experimental; urgency=low

  * Same as -1, with server packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 08 Nov 2013 21:21:30 +0100

boinc (7.2.28+dfsg-1) unstable; urgency=low

  * New upstream public release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 08 Nov 2013 20:48:06 +0100

boinc (7.2.27+dfsg-1exp1) experimental; urgency=low

  * New upstream version, with server packages.
  * Bumped policy to 3.9.5 - no changes required

 -- Steffen Moeller <moeller@debian.org>  Tue, 05 Nov 2013 21:03:04 +0100

boinc (7.2.22+dfsg-1exp1) experimental; urgency=low

  * Same as -1, with server packages.

 -- Guo Yixuan <culu.gyx@gmail.com>  Sat, 19 Oct 2013 00:24:11 -0400

boinc (7.2.22+dfsg-1) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream release

  [ Guo Yixuan ]
  * Removed boinc-amd-opencl, since fglrx-driver was removed from testing.

 -- Guo Yixuan <culu.gyx@gmail.com>  Sat, 19 Oct 2013 00:05:53 -0400

boinc (7.2.17+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Guo Yixuan <culu.gyx@gmail.com>  Mon, 23 Sep 2013 13:29:53 -0400

boinc (7.2.14+dfsg-1exp2) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * Adapting for upstream's additional directories in html/
  * boinc-server-maker
    - works with Apache 2.4's extra security
    - added recommends for coreutils because of 'arch' utility

  [ Guo Yixuan ]
  * Disabled silent rules for build log check.
    (debian/patches/disable_silent_rules.patch)

 -- Steffen Moeller <moeller@debian.org>  Sat, 31 Aug 2013 20:08:38 +0200

boinc (7.2.14+dfsg-1exp1) experimental; urgency=low

  * Building boinc-server-maker package

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 31 Aug 2013 01:05:41 +0200

boinc (7.2.14+dfsg-1) unstable; urgency=low

  * New upstream release
  * Now the server package is built or not depending on
    the debian target series:
    - target=unstable, server NOT built
    - target=experimental, server built
  * Fixed clean in debian/rules file

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 31 Aug 2013 00:57:40 +0200

boinc (7.2.11+dfsg-1exp4) UNRELEASED; urgency=low

  [ Gianfranco Costamagna ]
  * Addressed executable-not-elf-or-script lintian warning
    - usr/lib/boinc-server-maker/tools/project.xml
    - usr/share/doc/boinc-server-maker/examples/wrapper/build_android.sh
  * Addressed other file permissions problems
  * Fixed italian localization problem

  [ Guo Yixuan ]
  * Added ${python:Depends} and ${perl:Depends} to debian/control.in

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 24 Aug 2013 01:20:07 +0200

boinc (7.2.11+dfsg-1exp3) experimental; urgency=low

  * Tweaked again hurd patches, now the missing
    MAXPATHLEN should have been addressed

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 22 Aug 2013 23:14:34 +0200

boinc (7.2.11+dfsg-1exp2) experimental; urgency=low

  * Trying to fix hurd ftbfs

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 22 Aug 2013 14:19:03 +0200

boinc (7.2.11+dfsg-1exp1) experimental; urgency=low

  * Added boinc-server-maker package

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 21 Aug 2013 16:51:49 +0200

boinc (7.2.11+dfsg-1) unstable; urgency=low

  * New upstream release
    - Localizations updated
  * Fixed some lintian warnings

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 21 Aug 2013 16:36:51 +0200

boinc (7.2.10+dfsg-1exp1) experimental; urgency=low

  * New upstream release, enabled server building.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 12 Aug 2013 00:43:09 +0200

boinc (7.2.10+dfsg-1) unstable; urgency=low

  * New upstream release, patch refresh.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 12 Aug 2013 00:39:28 +0200

boinc (7.2.7+dfsg-2) UNRELEASED; urgency=low

  * boinc-nvidia-cuda depends on libcuda1 | nvidia-current | libcuda-5.0-1
    (LP: #1129409).

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 09 Aug 2013 09:33:44 +0200

boinc (7.2.7+dfsg-1) unstable; urgency=low

  * New upstream release, patch refresh.
  * Linking libboinc_crypt.so against $(SSL_LIBS).

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 25 Jul 2013 10:56:43 +0200

boinc (7.2.4+dfsg-1exp1) experimental; urgency=low

  [ Steffen Moeller ]
  * New upstream version.
    - reduced clang warnings patches

  [ Guo Yixuan ]
  * Removed a workaround (for seti segfault).

 -- Guo Yixuan <culu.gyx@gmail.com>  Wed, 24 Jul 2013 14:21:51 +0800

boinc (7.1.21+dfsg-1exp2) experimental; urgency=low

  * php5-gd only recommended for boinc-server-maker

 -- Steffen Moeller <moeller@debian.org>  Thu, 27 Jun 2013 22:05:48 +0200

boinc (7.1.21+dfsg-1exp1) UNRELEASED; urgency=low

  * Added boinc-server-maker package.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 27 Jun 2013 14:52:53 +0200

boinc (7.1.21+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Added adding_lpthread_and_ljpeg.patch to fix a FTBFS
    with ubuntu saucy.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 27 Jun 2013 14:49:00 +0200

boinc (7.1.20+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Italian translation fixed.
    - Really fixed (lp: #179849), for a configure error
      dpms code wasn't built.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 25 Jun 2013 09:25:31 +0200

boinc (7.1.18+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 19 Jun 2013 19:09:48 +0200

boinc (7.1.10+dfsg-2) UNRELEASED; urgency=low

  * Experimenting with memory-only shared-memory
    This is highly incompatible with regular clients.
    It is expected to work only with Debian's clients after a rebuild.

 -- Steffen Moeller <moeller@debian.org>  Wed, 19 Jun 2013 17:50:55 +0200

boinc (7.1.10+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Readding sleep (10 seconds) to workaround GPU bug (lp: #1177433)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 07 Jun 2013 08:34:03 +0200

boinc (7.1.7+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
    Many patches have been accepted upstream.
  * Bumped debian/compat to 9.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 05 Jun 2013 11:47:49 +0200

boinc (7.1.1+dfsg-2) UNRELEASED; urgency=low

  * compiled with clang
    - removed patches no longer required

 -- Steffen Moeller <moeller@debian.org>  Thu, 16 May 2013 22:09:08 +0200

boinc (7.1.1+dfsg-1) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * Introduced series of fclose() to fight potential file pointer leak
  * Addressed a few issues with .po files (de) as indicated on
    http://i18n.debian.org/l10n-pkg-status/b/boinc.html
  [ Gianfranco Costamagna ]
  * New upstream release.
  * Tweaked debian/watch.
  * Removed some patches accepted upstream.
  * Simplified debian/rules.
  * Patch refresh.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 16 May 2013 22:09:08 +0200

boinc (7.0.65+dfsg-3) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Added lightdm to init script (lp: #1177433)
  * Removed the 5 sec sleep in init script.

  [ Guo Yixuan ]
  * Removed unused lintian override for boinc-manager.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 15 May 2013 17:33:13 +0200

boinc (7.0.65+dfsg-2) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Disabled checkin_notes in override_install_changelogs,
    not updated anymore by upstream.
  * Fixed a lintian warning.
  * Fixed boinc-amd-opencl depends on ubuntu (lp: #1176148).
  * Added project_specific_defines.h to usr/include/boinc
    (Closes: #707369, #707375)

  [ Rodrigo Silva ]
  * New debian/icons and refactor the icon size
    directories (lp: #1173622).
  * Improved manager launcher.
  * Fix typos in package descriptions. Thanks Pierre Slamich for spotting
    and Pascal De Vuyst for reporting! (Closes: #707989)

  [ Guo Yixuan ]
  * libboinc-app-dev dependency: use libstdc++6-4.7-dev as default
    libstdc++-dev,
  * boinc-server-maker dependency: use mysql-server-5.5 as default
    virtual-mysql-server, both thanks to Danilo.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 05 May 2013 11:41:37 +0200

boinc (7.0.65+dfsg-1) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream release.
  * debian/control.in dropped version check
      - pkg-config (>= 0.15)             (version 0.25   in stable)
      - autoconf (>= 2.59)               (version 2.67   in stable)
      - automake1.9 (>= 1.9.3)           (version 1.9.6  in stable)
      - libcurl4-openssl-dev (>= 7.17.1) (version 7.21.0 in stable)
      - python (>= 2.3)                  (version 2.6.6  in stable)
      - Breaks: udev (<< 136-1)          (version 164    in stable)
      - removed boinc-app-seti from boinc-client Suggests field
      - Bumped debhelper required version to 8
    debian/compat
      - Bumped to version 8

  [ Steffen Moeller ]
  * Merged work on packaging of BOINC server code
  * boinc-cgi-stripchart package now built together with server parts

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 30 Apr 2013 21:45:44 +0200

boinc (7.0.60+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 02 Apr 2013 18:38:43 +0200

boinc (7.0.59+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
  * New debian/watch file for upstream git switch.
  * changing cc_client.xml permissions to boinc:boinc
    from root:boinc (lp: #1162596)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 28 Mar 2013 23:25:42 +0100

boinc (7.0.58+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
  * Fix arch detection in About dialog box.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 22 Mar 2013 17:47:31 +0100

boinc (7.0.56+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
    - Fix for man pages (lp: #1140560) (Thanks Christian Beer)
    - Fix for xml parsing issues.
    - Fix in work fetch.
    - Fix issue in Milkyway@Home (fixed in .55 release)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 13 Mar 2013 15:42:42 +0100

boinc (7.0.54+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
  * Dropped boincmgr_fix_long_pointers.patch accepted upstream.
  * New Patch disable_new_version_check.patch (lp: #1140597)
  * Dropped libssl0.9.8-dbg suggestion and added libssl1.0.0-dbg instead
    (Closes: #702741)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 07 Mar 2013 17:06:38 +0100

boinc (7.0.53+dfsg-1) UNRELEASED; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream release.
  * Added boincmgr_fix_long_pointers.patch to fix boincmgr crash
    Thanks Alyssa Milburn (Closes: #679207)
  * Added sleep to boinc-client init script to workaround GPU
    detection issues (lp: #933354).
  * Bumped policy to 3.9.4. No changes required

  [ Guo Yixuan ]
  * Reverted the workaround for #679207.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 24 Feb 2013 23:05:30 +0100

boinc (7.0.52+dfsg-2) experimental; urgency=low

  * Try to fix ftbfs on hurd-i386.
  * Rebuild against libc6 2.13 (in sid).

 -- Guo Yixuan <culu.gyx@gmail.com>  Wed, 20 Feb 2013 16:16:45 +0800

boinc (7.0.52+dfsg-1) experimental; urgency=low

  * New upstream release, all platforms.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 14 Feb 2013 16:54:55 +0100

boinc (7.0.51+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 13 Feb 2013 22:15:44 +0100

boinc (7.0.50+dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 09 Feb 2013 13:38:34 +0100

boinc (7.0.48+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 08 Feb 2013 15:42:50 +0100

boinc (7.0.47+dfsg-1) UNRELEASED; urgency=low

  * New upstream release, l10n updated.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 31 Jan 2013 22:09:35 +0100

boinc (7.0.46+dfsg-1) UNRELEASED; urgency=low

  * New upstream release
  * Fixed a FTBFS when building without zip library. (Closes: #699789)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 29 Jan 2013 23:46:33 +0100

boinc (7.0.45+dfsg-1) experimental; urgency=low

  * New upstream release
  * Removed boinc zip library from client builds.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 25 Jan 2013 00:01:24 +0100

boinc (7.0.44+dfsg-1) UNRELEASED; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream release
  * Added libxext-dev and libxcb-dpms0-dev in order to address a long time
    bug. (lp: #179849)

  [ Guo Yixuan ]
  * Added libx11-dev to build-deps. (It's used directly in
    client/hostinfo_unix.cpp.)
  * link_with_gold.patch: patched configure.ac to add -lX11 for linking client
    with ld.gold.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 09 Jan 2013 17:40:34 +0100

boinc (7.0.42+dfsg-1) UNRELEASED; urgency=low

  * New upstream release
  * Revised some patches.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 12 Dec 2012 01:53:09 +0100

boinc (7.0.40+dfsg-1) UNRELEASED; urgency=low

  * New upstream release
  * Dropped mac_addresses_cores_in_kfreebsd.patch (file to patch deleted upstream)
    and ensure_there_is_no_newline_in_passwd.patch (applied upstream)
  * Revised slot_dir_source_trace.patch
  * Removed some old patches.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 08 Dec 2012 01:26:23 +0100

boinc (7.0.39+dfsg-1) UNRELEASED; urgency=low

  * New upstram release
  * Dropped add-missing-test-files.patch and add-missing-stripchart-samples.patch patch
    already applied upstream
  * Added link time optimisation.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 26 Nov 2012 00:11:23 +0100

boinc (7.0.38+dfsg-1) UNRELEASED; urgency=low

  * New upstream release
  * Revised some patches (some of them should will be removed in a future commit)
  * Added add-missing-test-files.patch to fix a FTBFS 
  * Added add-missing-stripchart-samples.patch to fix another FTBFS.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 05 Nov 2012 13:16:32 +0100

boinc (7.0.36+dfsg-3) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * Added Gianfranco to uploaders.

  [ Gianfranco Costamagna ]
  * Added missing_libs_wrapper.patch to fix a FTBFS on ubuntu 13.04
  * added boinc-ftbfs-hurd.patch from upstream

  [ Guo Yixuan ]
  * Commented out debian/watch, as upstream switched to git.

 -- Guo Yixuan <culu.gyx@gmail.com>  Sat, 03 Nov 2012 00:27:32 +0800

boinc (7.0.36+dfsg-2) experimental; urgency=low

  [ Guo Yixuan ]
  * debian/control:
    - Removed the deprecated DMUA field.
    - Use Breaks plus Replaces for moving files from boinc-dev
      to libboinc*.
  * debian/patches:
    - Removed some old patches (those not in series anymore).
    - Refreshed cppcheck_avoid_redundant_check.patch.

  [ Gianfranco Costamagna ]
  * without boinclib_shared.patch boinc FTBFS, changed the order of patch

  [ Steffen Moeller ]
  * reactivated boinc-amd-opencl package

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 12 Oct 2012 13:26:54 +0200

boinc (7.0.36+dfsg-1) unstable; urgency=low

  * Team upload.

  [ Gianfranco Costamagna ]
  * New upstream version

  [ Guo Yixuan ]
  * Updated api_NULL_not_defined.patch.
  
  [ Steffen Moeller ]
  * Updated slot_dir_source_trace.patch.
  * Updated opendir_error_messages.patch.

 -- Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>  Sun, 16 Sep 2012 21:28:52 +0200

boinc (7.0.34+dfsg-6) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * Fixing upstream bug 
    https://boinc.berkeley.edu/trac/ticket/1168
    on dir_scan usage.

  [ Guo Yixuan ]
  * Updated debian/copyright to new format, added a section about api/ttf/*.
  * Clean up debian/rules.

 -- Steffen Moeller <moeller@debian.org>  Sun, 02 Sep 2012 11:04:19 +0200

boinc (7.0.34+dfsg-5) UNRELEASED; urgency=low

  * Added better error messages for opendir() failures

 -- Steffen Moeller <moeller@debian.org>  Sat, 01 Sep 2012 15:13:26 +0200

boinc (7.0.34+dfsg-4) unstable; urgency=low

  [ Guo Yixuan ]
  * Fix of debian/patch on pathlength
  [ Steffen Moeller ]
  * Corrected handling of memory reallocation in client/stream.cpp
  * Improved cpptest cleanliness

 -- Steffen Moeller <moeller@debian.org>  Sat, 01 Sep 2012 15:13:26 +0200

boinc (7.0.34+dfsg-3) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * Improving error message on directory that cannot be opened
  * Fixing a file descriptor leak in read_ppm_file (api/gutil.cpp)

  [ Guo Yixuan ]
  * Removed dependency on dh-buildinfo, no longer used.
  * Fixed a bug in our patches that truncated filename.

 -- Steffen Moeller <moeller@debian.org>  Sun, 26 Aug 2012 18:20:13 +0200

boinc (7.0.34+dfsg-2) unstable; urgency=low

  [ Steffen Moeller ]
  * Reacting to ftpmasters' comments
    - libraries get package name adjusted to soname
    - boinc-nvidia-cuda package loses dependency on libcuda1:i386

  [ Guo Yixuan ]
  * Change libboinc-app-dev's depends to be binnmuable, to resolve lintian
    errors.
  * Revert dpkg-dev's version in build-deps to >= 1.16.1.1.
  * Add libboinc7 and libboinc-app7 to boinc-dbg's depends.
  * Add lintian overrides for boinc-manager and libboinc-app7, because -O0 are
    used in api/ and clientgui/, where fortify won't work.

 -- Steffen Moeller <moeller@debian.org>  Thu, 23 Aug 2012 23:58:26 +0200

boinc (7.0.34+dfsg-1) unstable; urgency=low

  [ Steffen Moeller ]
  * New upstream version
    - many non-Linux fixes
    - consistency with GPU types
    - api loses supports for legacy image formats
    - switch from *.txf fonts to TrueType fonts in graphics apps,
      ensuring that all related files have no licensing issues.
  * Helping boinc-nvidia-cuda package towards multi-arch
  * Help cleaning remnants of packages (temporarily) not in
    debian/control but in debian/control.in.
  * Override boinc-nvidia-cuda: bad-provided-package-name libcuda1:i386

  [ Guo Yixuan ]
  * Remove broken links from libboinc-app-dev. (Closes: #659845)
  * Bump build-depend on dpkg-dev >= 1.16.5 for arch-qualified depends.

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Aug 2012 14:41:47 +0200

boinc (7.0.33+dfsg-1) unstable; urgency=low

  [ Steffen Moeller ]
  * New upstream version
  * Conditional builds of debian/control

  [ Guo Yixuan ]
  * debian/rules: partially disable some optimization and hardening flags,
    - in api/, for SETI to work,
    - in clientgui/, as a workaround for #679207.

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Aug 2012 10:44:10 +0200

boinc (7.0.32+dfsg-1) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * New upstream version.

 -- Guo Yixuan <culu.gyx@gmail.com>  Wed, 01 Aug 2012 21:02:49 +0200

boinc (7.0.31+dfsg-1) unstable; urgency=low

  [ Steffen Moeller ]
  * New upstream version.

  [ Guo Yixuan ]
  * debian/control:
    - add missed dependency for libboinc.
    - remove dependency on python-support.
    - libboinc-app-dev: depend on libboinc.
  * debian/watch: check for even minor version, and fix dpkg warnings.
  * debian/rules:
    - use dh_python2 instead of py_support.
    - remove build-stamp, use override_dh_auto_build to build samples.
    - simplify targets by using pattern rule.
    - use override_dh_clean instead of a custom clean target.

 -- Guo Yixuan <culu.gyx@gmail.com>  Tue, 10 Jul 2012 23:21:13 +0800

boinc (7.0.30+dfsg-1) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * New upstream version.

  [ Guo Yixuan ]
  * debian/rules: use dpkg-buildflags to get default flags.
  * debian/control: build-depend on dpkg-dev >= 1.16.1.1, because
    buildflags.mk and DEB_BUILD_MAINT_OPTIONS are needed.
  * debian/patches/add_hardening_flags.patch: pass CXXFLAGS, CPPFLAGS and
    LDFLAGS to hand-written Makefiles in samples/.
  * Add myself to uploaders. (Closes: #511243)

 -- Steffen Moeller <moeller@debian.org>  Sat, 30 Jun 2012 21:59:59 +0200

boinc (7.0.28+dfsg-3) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * Splitting -dev package into libboinc and libboinc-dev.
  * Added shared library for libboinc.
  * Added configure flag in debian/rules to allow dynamic clients
  * Installing more from  debian/tmp to avoid lintian wrappers
 
  [ Guo Yixuan ]
  * Add patch from Rom that fixes the project category crash.
    (Closes: #641593)

 -- Steffen Moeller <moeller@debian.org>  Mon, 28 May 2012 13:21:35 +0200

boinc (7.0.28+dfsg-2) UNRELEASED; urgency=low

  * Reactivating the screensaver (Steffen and Bernd)
    - not ready, yet.
    - not building for Wheezy
  * Addressed FTBFS on hurd (Closes: #672725)

 -- Steffen Moeller <moeller@debian.org>  Tue, 22 May 2012 01:01:39 +0200

boinc (7.0.28+dfsg-1) UNRELEASED; urgency=low

  * New upstream version.
  * Adding hardening flags.

 -- Steffen Moeller <moeller@debian.org>  Sat, 19 May 2012 12:19:25 +0200

boinc (7.0.27+dfsg-5) unstable; urgency=low

  * debian/rules: use dpkg-buildflags to get default flags.
  * debian/control: build-depend on dpkg-dev >= 1.16.1.1, because
    buildflags.mk and DEB_BUILD_MAINT_OPTIONS are needed.
  * debian/patches/add_hardening_flags.patch: pass CXXFLAGS, CPPFLAGS and
    LDFLAGS to hand-written Makefiles in samples/.

 -- Guo Yixuan <culu.gyx@gmail.com>  Mon, 25 Jun 2012 17:13:10 +0800

boinc (7.0.27+dfsg-4) unstable; urgency=low

  [ Steffen Moeller ]
  * Not building boinc-amd-opencl, for fglrx-driver is not in testing.
  * Adding hardening flags.
  * Addressed FTBFS on hurd (Closes: #672725)
  * debian/boinc-client.init: increasing priority of boinc client, change nice
    value from 19 to 10.

  [ Guo Yixuan ]
  * Add patch from Rom that fix the project category crash. (Closes: #641593)
  * debian/rules: fix to set sched/transitioner_catchup.php in
    boinc-server-maker executable.
  * Cherry-picking above commits from master to sid branch.
  * Add myself to uploaders.

 -- Guo Yixuan <culu.gyx@gmail.com>  Thu, 21 Jun 2012 22:54:52 +0800

boinc (7.0.27+dfsg-3) unstable; urgency=low

  * Now truly reconstituting compatibility with SETI
    (Closes: #672328, lp: #991179).
  * builds with gcc 4.7 (Closes: #671999)
    Thanks to Matthias Klose for his patch, had sadly only seen it after
    I patched it myself :o/  The NMU of his should not kick in because
    of the SETI incompatibility.

 -- Steffen Moeller <moeller@debian.org>  Thu, 10 May 2012 10:59:30 +0200

boinc (7.0.27+dfsg-2) unstable; urgency=low

  * Removed a couple of patches to help preventing crash in some
    scientific apps

 -- Steffen Moeller <moeller@debian.org>  Mon, 07 May 2012 23:39:30 +0200

boinc (7.0.27+dfsg-1) unstable; urgency=low

  * New upstream release
    - NVidia issue settled, presumably.
    - Some patches adopted by upstream.
 
 -- Steffen Moeller <moeller@debian.org>  Thu, 03 May 2012 15:01:42 +0200

boinc (7.0.26+dfsg-1) unstable; urgency=low

  * New upstream release
    - Comes with NVidia patches
    - Other incompatibilities with various projects fixed

 -- Steffen Moeller <moeller@debian.org>  Fri, 20 Apr 2012 11:43:15 +0200

boinc (7.0.25+dfsg-2) UNRELEASED; urgency=low

  * Added patch by Bernd Machenschalk to improve the uniqueness
    of clients when multiple instances are run.
  * Helping man page of stripchart.

 -- Steffen Moeller <moeller@debian.org>  Thu, 12 Apr 2012 14:04:52 +0200

boinc (7.0.25+dfsg-1) UNRELEASED; urgency=low

  [ Steffen ]
  * New upstream version (not yet with NVidia API improvements).

  [ Thorsten ]
  * Helping warnings in init scripts (Closes: #651278,#651303).
  * Fixing Python dir problem for boinc-server-maker (Closes: #657036)
  * Fixed warning for man page to stripchart.

 -- Steffen Moeller <moeller@debian.org>  Fri, 06 Apr 2012 12:15:30 +0200

boinc (7.0.24+dfsg-4) UNRELEASED; urgency=low

  * Improved support of NVidia cards - API incompatibility

 -- Steffen Moeller <moeller@debian.org>  Tue, 03 Apr 2012 19:52:07 +0200

boinc (7.0.24+dfsg-3) UNRELEASED; urgency=low

  * Support of clang through DEB_BUILD_OPTIONS 

 -- Steffen Moeller <moeller@debian.org>  Sat, 31 Mar 2012 23:24:24 +0200

boinc (7.0.24+dfsg-2) UNRELEASED; urgency=low

  * More adjustments of patches.

 -- Steffen Moeller <moeller@debian.org>  Sat, 31 Mar 2012 19:56:31 +0200

boinc (7.0.24+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Built without optimisation on amd64 for better debug information to help
    investigation of apparent incompatibility with NVidia 295.33 modules.
  * <glib.h> patch accepted by upstream (Closes: #665512).
  * First sponsoring upload by Thorsten - many thanks!

 -- Steffen Moeller <moeller@debian.org>  Sat, 31 Mar 2012 13:41:50 +0200

boinc (7.0.23+dfsg-2) UNRELEASED; urgency=low

  * More increased buffers whenever paths were <1024 chars of length
  * Added invocations of init() functions to constructors
    of RESULT and CLIENT_STATE classes to work towards valgrind
    cleanliness 
  * Removed Christoph from uploaders

 -- Steffen Moeller <moeller@debian.org>  Fri, 30 Mar 2012 18:49:07 +0200

boinc (7.0.23+dfsg-1) UNRELEASED; urgency=low

  * New upstream version.
  * Moving towards inclusion of glib.h instead of glib/*.h.

 -- Steffen Moeller <moeller@debian.org>  Sat, 24 Mar 2012 16:05:42 +0100

boinc (7.0.21+dfsg-1) UNRELEASED; urgency=low

  * New upstream version.
  * Added icons in /usr/share/boinc to boinc-manager package

 -- Steffen Moeller <moeller@debian.org>  Sun, 18 Mar 2012 13:43:58 +0100

boinc (7.0.20+dfsg-1) UNRELEASED; urgency=low

  * New upstream version.
  * Removed dependency on schedtools again - and fixed bug in patch.

 -- Steffen Moeller <moeller@debian.org>  Fri, 09 Mar 2012 17:04:07 +0100

boinc (7.0.19+dfsg-1) UNRELEASED; urgency=low

  * New upstream version.
  * Added dependency on schedtools for boinc-client.
  * Removing /var/lib/boinc-client upon purge (Closes: #656464).

 -- Steffen Moeller <moeller@debian.org>  Sat, 03 Mar 2012 01:19:45 +0100

boinc (7.0.15+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 15 Feb 2012 21:41:20 +0100

boinc (7.0.14+dfsg-2) UNRELEASED; urgency=low

  * Added patch to include unistd.h 

 -- Steffen Moeller <moeller@debian.org>  Sun, 05 Feb 2012 00:25:02 +0100

boinc (7.0.14+dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #658485).

 -- Steffen Moeller <moeller@debian.org>  Fri, 03 Feb 2012 21:28:27 +0100

boinc (7.0.11+dfsg-1) unstable; urgency=low

  * Removing ","s from "should start" line in init script (Closes: #654693)
    with tons of thanks to Bruno Muller.
  * New upstream version.
  * [debian/control] corrected for strong binding of [amd64] tag

 -- Steffen Moeller <moeller@debian.org>  Fri, 20 Jan 2012 13:21:56 +0100

boinc (7.0.8+dfsg-2) unstable; urgency=low

  * Fixed patch for whitespace removal.

 -- Steffen Moeller <moeller@debian.org>  Mon, 16 Jan 2012 23:00:02 +0100

boinc (7.0.8+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Added disk space check to get-orig-source.

 -- Steffen Moeller <moeller@debian.org>  Sat, 14 Jan 2012 13:04:18 +0100

boinc (7.0.7+dfsg-2) UNRELEASED; urgency=low

  * boinc-server-maker: Fixing missing files for make_project.

 -- Steffen Moeller <moeller@debian.org>  Mon, 02 Jan 2012 01:56:18 +0100

boinc (7.0.7+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Fixed get-orig-source omitted "fi"

 -- Steffen Moeller <moeller@debian.org>  Sun, 01 Jan 2012 16:54:26 +0100

boinc (7.0.3+dfsg-2) UNRELEASED; urgency=low

  * Now libxss-dev truly added (Closes: #651953).

 -- Steffen Moeller <moeller@debian.org>  Thu, 15 Dec 2011 20:55:11 +0100

boinc (7.0.3+dfsg-1) unstable; urgency=low

  * Also adding libxss-dev as build dependency (Closes: #651953).
    Credits go to Dmitry Baryshev.

 -- Steffen Moeller <moeller@debian.org>  Thu, 15 Dec 2011 20:55:11 +0100

boinc (7.0.2+dfsg-2) UNRELEASED; urgency=low

  [Contributed by Daniel Hahler]
  * Adjusted CUDA dependencies for Ubuntu (lp: #410809).
  * New window renders bug invalid (lp: #511654)

  [Contributed by Oliver Bock]
  * Client configuration fall (mostly) back to defaults.
  * Typos in description.

 -- Steffen Moeller <moeller@debian.org>  Tue, 06 Dec 2011 22:32:48 +0100

boinc (7.0.2+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Adding boinc user to group video (Closes: #557871)
  * Testing on $DISPLAY set before executing xhost (Closes: #644388),
    thanks to John Feuerstein for the idea and the patch.
  * Fixed documentation issue with browser setting (Closes: #537695),
    sorry for not having addressed that earlier.

 -- Steffen Moeller <moeller@debian.org>  Fri, 02 Dec 2011 03:10:11 +0100

boinc (6.13.12+dfsg-2) UNRELEASED; urgency=low

  * Added explicit dependencies on x11-common and network-manager
    for boot sequence, as indicated by
    http://wiki.debian.org/LSBInitScripts (lp: #820246)
  * Added boinc-nvidia-cuda and boinc-amd-opencl packages in contrib (lp: #410809).

 -- Steffen Moeller <moeller@debian.org>  Tue, 15 Nov 2011 22:06:19 +0100

boinc (6.13.12+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Starting only at runlevel 4 and 5 (lp: #820246), possibly.
  * Stopping also at runlevel 2 and 3

 -- Steffen Moeller <moeller@debian.org>  Sun, 13 Nov 2011 17:38:16 +0100

boinc (6.13.10+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Sun, 30 Oct 2011 00:32:49 +0200

boinc (6.13.6+dfsg-2) unstable; urgency=low

  * Fixing FTBFS (Closes: #644796).
  * substituted install target with override_dh_auto_install

 -- Steffen Moeller <moeller@debian.org>  Sun, 09 Oct 2011 15:50:33 +0200

boinc (6.13.6+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Sat, 08 Oct 2011 14:27:25 +0200

boinc (6.13.1+dfsg-3) UNRELEASED; urgency=low

  * Fixed lintian warning for stripchart.

 -- Steffen Moeller <moeller@debian.org>  Mon, 08 Aug 2011 01:36:51 +0200

boinc (6.13.1+dfsg-2) unstable; urgency=low

  * Bringing notify patch to unstable.
  * Adjusted build dependency to libjpeg-dev (Closes: #641093)
  * Further improvements on stripchart.

 -- Steffen Moeller <moeller@debian.org>  Mon, 08 Aug 2011 01:36:51 +0200

boinc (6.13.1+dfsg-1) experimental; urgency=low

  * New upstream version
  * Added boinc-cgi-stripchart package
  * Michael's libnotify patch from 6.12.33+dfsg-1.1 not yet included

 -- Steffen Moeller <moeller@debian.org>  Sun, 24 Jul 2011 22:20:04 +0200

boinc (6.12.33+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Port to libnotify 0.7. (Closes: #636296)
    - Bump Build-Depends on libnotify to (>= 0.7.0).
    - Add debian/patches/libnotify-0.7.patch.
    - Update build system to properly set gtk+-2.0 cflags/ldflags for the
      boincmgr GUI application.
    - Update to the new libnotify 0.7 API.

 -- Michael Biebl <biebl@debian.org>  Sat, 06 Aug 2011 05:50:23 +0200

boinc (6.12.33+dfsg-1) unstable; urgency=low

  [Steffen]
  * New upstream version.
  * The package boinc depends on -client or -manager
    of the same version or later.

  [Dhananjay]
  * Adjustments of .install and .links files to truly
    place files where they are expected.

 -- Steffen Moeller <moeller@debian.org>  Mon, 20 Jun 2011 20:47:37 +0200

boinc (6.12.32+dfsg-2) UNRELEASED; urgency=low

  * The boinc package now depends on binaries
    of the same version.

 -- Steffen Moeller <moeller@debian.org>  Sat, 11 Jun 2011 23:09:24 +0200

boinc (6.12.32+dfsg-1) unstable; urgency=low

  * New upstream version.
    - finally contains MAXPATHLEN fixes for building on HURD
    - fewer warnings while compiling (some Debian patches
      accepted)
  * Initial preparations for merging with developments
    for Debian and beyond at SZTAKI, Budapest.
  * Recommending on amd64 to also install the ia32-lib package.
    A "Depends" would not be acceptable for too many aiming
    at a lean system (Closes: #562431) (lp: #560143).

 -- Steffen Moeller <moeller@debian.org>  Fri, 10 Jun 2011 13:56:34 +0200

boinc (6.12.28+dfsg-7) UNRELEASED; urgency=low

  * Added download script for binary applications from
    Debian.
  * Added recommends in -manager for ia32-lib-gtk
    for amd64 only to better guarantee functional graphics
  * Added recommends in -client for ia32-lib
  * Added recommends to -server-maker to uuid-runtime for genuuid

 -- Steffen Moeller <moeller@debian.org>  Sun, 05 Jun 2011 23:44:49 +0200

boinc (6.12.28+dfsg-6) unstable; urgency=low

  * Change amd64 platform name to upstream's
    x86_64-pc-linux-gnu from x86_64-linux-gnu.

 -- Steffen Moeller <moeller@debian.org>  Sun, 05 Jun 2011 23:05:14 +0200

boinc (6.12.28+dfsg-5) UNRELEASED; urgency=low

  * Drop build-dep on obsolete libxcb-atom (closes: #626669).  That code was
    disabled by debian/patches/Makefile_subdirs.patch anyway.

 -- Julien Cristau <jcristau@debian.org>  Sun, 05 Jun 2011 00:02:33 +0200

boinc (6.12.28+dfsg-4) unstable; urgency=low

   * Fixed target of sed instruction (and FTBFS with it)
   * Explicitly setting CPPFLAGS to empty, which may help
     kfreebsd.

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Jun 2011 21:51:53 +0200

boinc (6.12.28+dfsg-3) unstable; urgency=low

   * Added explicit dependency on python-support for boinc-server-maker.
   * Overriding csh and soname lintian warnings.
   * Addressing the crypt_prog issue.
   * Eliminating build path from python config
   * Eperienting with elimination of leading and ending blanks from
     Makefile lines.

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Jun 2011 20:33:45 +0200

boinc (6.12.28+dfsg-2) unstable; urgency=low

   * Adjusting build dependencies for Debian unstable (Closes: #626669).

 -- Steffen Moeller <moeller@debian.org>  Sat, 28 May 2011 10:44:59 +0200

boinc (6.12.28+dfsg-1) unstable; urgency=low

   * New upstream version.

     Likely to now truly compile also on the HURD.

   * Mentioned ia32-libs also in the README.Debian (Closes: #562431).

 -- Steffen Moeller <moeller@debian.org>  Fri, 27 May 2011 23:54:18 +0200

boinc (6.12.27+dfsg-1) unstable; urgency=low

   * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 25 May 2011 17:17:58 +0200

  
boinc (6.12.26+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 27 Apr 2011 22:33:56 +0200

boinc (6.12.25+dfsg-1) unstable; urgency=low

  * Changed init dependencies to $all which may help speeding up the
    boot process and grants time initialising CUDA when kdm is also
    installed.

  * Also granting the boinc user access to the X display by invoking
    xhost +local:boinc if xhost is installed. The package providing
    the tool, i.e. x11-xserver-utils,  is now suggested as a runtime
    dependency.

  This with some likelihood (Closes: #557871, #596656) (lp: #587426,
  lp: #414244, lp: #525241). It remains yet untested because of a lack
  of respective hardware.  Many thanks go to Skip for keeping up the
  spirit to address this.

  * Upstream has fixed build failure on hurd.

 -- Steffen Moeller <moeller@debian.org>  Sat, 16 Apr 2011 20:24:12 +0200

boinc (6.12.22+dfsg-1) unstable; urgency=low

  * First attempt to fix compilation on HURD.
  * Added debconf it.po (Closes: #619436).
  * Addressing lintian errors on python paths/versions.
  * Removing *.la files (Closes: #621197).

 -- Steffen Moeller <moeller@debian.org>  Sat, 09 Apr 2011 17:32:20 +0200

boinc (6.12.18+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Thu, 17 Mar 2011 16:57:35 +0100

boinc (6.12.15+dfsg-2) UNRELEASED; urgency=low

  * New pt_BR.po file contributed by Adriano Rafael Gomes
    (Closes: #610407).
  * Added explicit dependency on python.

 -- Steffen Moeller <moeller@debian.org>  Sat, 05 Mar 2011 21:17:23 +0100

boinc (6.12.15+dfsg-1) unstable; urgency=low

  * New upstream release.
  * 2nd attempt to correct XML error in config (Closes: #610638)

 -- Steffen Moeller <moeller@debian.org>  Sat, 19 Feb 2011 21:00:35 +0100

boinc (6.12.14+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Migration from experimental to unstable.

 -- Steffen Moeller <moeller@debian.org>  Thu, 17 Feb 2011 19:37:10 +0100

boinc (6.12.8+dfsg-7) experimental; urgency=low

  * Fixed cc_config.xml, reported by Nelson (Closes: #610638).

 -- Steffen Moeller <moeller@debian.org>  Sun, 23 Jan 2011 00:49:20 +0100

boinc (6.12.8+dfsg-6) experimental; urgency=low

  * Explicitly giving binary-arch target (Closes: #609428).
  * Helping init file to remain compatible with renice
    that does not understand "-n" (as in sarge) (Closes: #600134).

 -- Steffen Moeller <moeller@debian.org>  Sun, 09 Jan 2011 15:00:14 +0100

boinc (6.12.8+dfsg-5) experimental; urgency=low

  * Added python to build dependencies (Closes: #608895).
  * Renamed package 'boinc-server' to 'boinc-server-maker'.
  * Added Danish .po contributed by Joe Daldon (Closes: #597774).

 -- Steffen Moeller <moeller@debian.org>  Wed, 05 Jan 2011 10:21:29 +0100

boinc (6.12.8+dfsg-4) experimental; urgency=low

  * Completely removing quilt from debian/* (Closes: #608639).
  * Added libnotify-dev and libmysqlclient-dev as build dependency.

 -- Steffen Moeller <moeller@debian.org>  Sun, 02 Jan 2011 15:58:19 +0100

boinc (6.12.8+dfsg-3) experimental; urgency=low

  * Reworked the boinc-server.links
  * More towards lintian cleanliness

 -- Steffen Moeller <moeller@debian.org>  Sat, 01 Jan 2011 17:56:15 +0100

boinc (6.12.8+dfsg-2) experimental; urgency=low

  * Developing the server package further.
  * Added libtool as build dependency (Closes: #608509).

 -- Steffen Moeller <moeller@debian.org>  Sun, 26 Dec 2010 01:14:18 +0100

boinc (6.12.8+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Simplified debian/rules.
  * boinc package is now architecture-independent

 -- Steffen Moeller <moeller@debian.org>  Sat, 11 Dec 2010 19:38:53 +0100

boinc (6.10.58+dfsg-4) UNRELEASED; urgency=low

  * Added boinc-server package, work mostly done
    by Frank Thomas a few years back.
  * Removing dependency on util-linux which is
    an essential package (lintian error)
  * Some changes (cleanups?) to debian/rules.

 -- Steffen Moeller <moeller@debian.org>  Sun, 05 Dec 2010 20:05:52 +0100

boinc (6.10.58+dfsg-3) unstable; urgency=low

  [ Steffen Moeller ]
  * Added -client dependency on util-linux,
    many thanks to Sandro for this (Closes: #537695)
  * Bumped policy to 3.9.1.0
  * Added the first graphical libraries as suggested
    dependencies of the boinc-manager package.

  [ Daniel Hahler ]
  * debian/boinc-client.init: wait until BOINC has ended for "stop"
    action. This fixes the post-removal script to be run too early,
    when the system user might be still logged in and cannot be
    deleted (LP: #583434). It also fixes the "restart" action.
  * debian/boinc-client.init: schedule: do not fail if chrt fails
    (LP: #629649).

 -- Daniel Hahler <ubuntu@thequod.de>  Sun, 19 Sep 2010 00:18:08 +0200

boinc (6.10.58+dfsg-2) unstable; urgency=low

  [ Daniel Hahler ]
  * Use chrt instead of schedtool (LP: #527639)
    - debian/control, debian/boinc-client.init
  [ Steffen Moeller ]
  * Removed from source tree for DFSG compliance
    - samples/glut
  * Adopted source format 3.0 (quilt)

 -- Daniel Hahler <ubuntu@thequod.de>  Sat, 17 Jul 2010 22:08:09 +0200

boinc (6.10.58+dfsg-1) unstable; urgency=low

  [ Steffen Moeller ]
  * Adopted Daniel's changes for Debian, added him to
    uploaders.
  * Allowed DM-Upload (for Daniel)
  * Eye candy in debian/README* and debian/po*
  * Updated my email address
  * Update standards-version to 3.9.0 (No changes needed)

  [ Daniel Hahler ]
  * Refresh patches, especially 006_correct_catalog_path.patch
  * New upstream release
  * Check that files exist on which we tweak permissions
    during post-installation
  * Bump build-depend on debhelper to install udev rules into
    /lib/udev/rules.d, add Breaks on udev to get correct version.
  * Provide meta package "boinc", which depends on boinc-client and
     boinc-manager.
  * debian/control: libmysqlclient15-dev -> libmysqlclient-dev

  [ Rene Mayorga ]
  * Set the correct distribution (unstable).
  * Trim some Ubuntu's specific changelog entries and merge all 
    last Daniel's changes on this changelog enty.
  * Install coproc.h and cal.h as port of boinc-dev pacakage

 -- Rene Mayorga <rmayorga@debian.org>  Tue, 13 Jul 2010 18:58:58 -0600

boinc (6.10.17+dfsg-3) unstable; urgency=low

  * Ignore errors when setting oom_adj for boinc client,
    Thanks to Gábor Gombás <gombasg@sztaki.hu> for the bug report
    and the hint for the solution. (Closes: #559053)
  * Fix str_replace.h installation path on boinc-dev package

 -- Rene Mayorga <rmayorga@debian.org>  Fri, 15 Jan 2010 19:34:46 -0600

boinc (6.10.17+dfsg-2ubuntu2) lucid; urgency=low

  * Install str_replace.h to /usr/include/boinc, not its subdirectory.

 -- Ilya Barygin <barygin@gmail.com>  Tue, 26 Jan 2010 14:05:12 +0300

boinc (6.10.17+dfsg-2) unstable; urgency=low

  * debian/control: remove kboincspy from boinc-client Suggest
  * include config.h on -dev package (Closes: #556816)
  * clean-up broken links on boinc-dev
  * install str_replace.h instead of std_fixes.h on -dev package.

 -- Rene Mayorga <rmayorga@debian.org>  Wed, 18 Nov 2009 19:04:45 -0600

boinc (6.10.17+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #553998)
    + better support for dark themes (Closes: #512508)
    + The -s (system tray option) was removed on upstream (Closes: #464192)
    + Better handling for WU over deadline - upstream 
      changeset 17399 (Closes: #513884)
  * debian/patches
    + 003_use_sensible-browser.patch updated
    + 006_correct_catalog_path.patch - refreshed
    + 005_using_hyphen_as_minus.patch removed - Applied upstream
    + 101_check_RSA_returned_values.patch  - Removed - Applied upstream
    + 102_gcc4.4_safe.patch Removed - Applied upstream
    + 006_correct_catalog_path.patch - updated
    + 002_remove_hardcoded_optimization.patch  Removed, not needed anymore
    + 004_exclude_sea.patch - Removed - not needed anymore
    + 001_dont_install_ca-bundle.crt.patch Removed not needed anymore
    + 200__don-t-assume_SCHED_BATCH_exist.patch - Added to Prevent FTBFS
      on kfreebsd
  * debian/copyright 
    + zip/zip and zip/unzip references removed
  * debian/rules
    + Adjust fix-perm for catalog files
  * use omm_adj to prevent boinc use all the system resources (Closes: #534418)
  * debian/control: Add libsqlite3-dev to B-D

 -- Rene Mayorga <rmayorga@debian.org>  Mon, 02 Nov 2009 14:44:14 -0600

boinc (6.4.5+dfsg-3) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD, thanks to Cyril Brulebois and
    Petr Salinger for the bug report and patch (Closes: #544070)
  * Standards-Version set to 3.8.3 (No changes needed)
  * Use dversionmangle on debian/watch
  * debian/copyright: point to LGPL-2/GPL-2 instead of LGPL/GPL

 -- Rene Mayorga <rmayorga@debian.org>  Sat, 05 Sep 2009 18:24:45 -0600

boinc (6.4.5+dfsg-2ubuntu2) karmic; urgency=low

  * Fix FTBFS, added 103_include_config_h.patch, use system functions
    when available (LP: #447933)

 -- Joao Pinto <joao.pinto@getdeb.net>  Sat, 10 Oct 2009 11:42:30 +0100

boinc (6.4.5+dfsg-2) unstable; urgency=low

  * Uploaded to unstable
  * Include a patch picked from Upstream SVN
     to avoid FTBFSs whith gcc 4.4 (Closes: #526666)
  * remove CUDA dir that contais binary-only non DFSG software
  * change section from boinc-dbg to debug
  * set orig +dfsg since we remove non-dfsg software 
    when we pull the tag from upstream
    + Add Comments about this on README.Source
  * Move schedtool to Recommends, (Closes: #532133)
  * Add ru debconf templates translation, thanks
    to Yuri Kozlov <yuray@komyakino.ru> (Closes: #531205)

 -- Rene Mayorga <rmayorga@debian.org>  Sat, 23 May 2009 13:29:17 -0600

boinc (6.4.5-1ubuntu1) karmic; urgency=low

  * Merge from debian experimental (LP: #311107), remaining changes:
    - Bump build-depend on debhelper to install udev rules into
      /lib/udev/rules.d, add Breaks on udev to get correct version.
  * Provide meta package "boinc", which depends on boinc-client and
    boinc-manager (LP: #226612).
  * Add debian/patches/102_wxPanel_instead_wxControl_r17501.patch,
    picked from upstream trunk to fix FTBFS.

 -- Daniel Hahler <ubuntu@thequod.de>  Sat, 23 May 2009 20:05:16 +0200

boinc (6.4.5-1) experimental; urgency=low

  * New upstream version
  * debian/patches:
    + 001_dont_install_ca-bundle.crt.patch refreshed
    + 002_remove_hardcoded_optimization.patch refreshed
    + 003_use_sensible-browser.patch
    + 004_exclude_sea.patch removed
    + 006_correct_catalog_path.patch added 
  * debian/boinc-dev.install; upstream now calls `boinc' instead
    of `BOINC' the include/ dir
  * debian/boinc-dev.links; make BOINC point to boinc, this
    will save those who still point to the wrong PATH
  * debian/copyright: 
    + Update upstream license from LGPL-2.1 to LGPL-3
    + update the file name on : api/textfont.[ch], client/stream.cpp,
      clientgui/wizardex.cpp
    + update copyright years on html/inc/geoip.inc and correct license
    + add copyright and license info for samples/glut/Roman.stroke, 
      client/install-sh, samples/glut/win32_util.c, 
      samples/glut/win32_x11.[ch], samples/glut/stroke.h,
      samples/glut/glut.h, samples/jpeglib/*
  * debian/rules:
    + don't install .mo files manually
    + correct .mo files perms
    + copy sea/*png file to clientgui/res and remove they on clean target
    + download export-boinc from git instead svn, 
      use an ugly wget since git is not able to it by itself
    + delete empty locale dirs
  * debian/boinc-manager.install: usr/share/locale/* files added
  * debian/control, set standards-version to 3.8.1 ( no changes needed )

 -- Rene Mayorga <rmayorga@debian.org>  Sat, 23 May 2009 13:29:08 -0600

boinc (6.2.18-4) unstable; urgency=low

  * remove unused var from init.d script
    thanks for the report and patch goes to Paul Saunders.
    (Closes: #520091)
  * debian/control: use standards-version 3.8.1 ( no changes needed )

 -- Rene Mayorga <rmayorga@debian.org>  Sat, 21 Mar 2009 13:44:13 -0600

boinc (6.2.18-3) unstable; urgency=low

  * Uploaded to unstable

 -- Rene Mayorga <rmayorga@debian.org>  Wed, 25 Feb 2009 10:04:23 -0600

boinc (6.2.18-2) experimental; urgency=low

  [ Frank S. Thomas ]
  * debian/rules: Transposed/renamed/removed targets and their prerequisites
    so that building the package with make's parallel execution succeeds.
  * debian/control: Removed myself from Uploaders.

  [ Rene Mayorga ]
  * debian/boinc-client.init: Detect and remove `--daemon' option
    from etc/default/boinc-client Closes: #504467
  * debian/control:
    + add myself to Uploaders, and wrap long lines
    + add ${misc:Depends} to boinc-client-dbg Depends
    + remove `Section' from boinc-client package
  * debian/rules: 
    + remove boinc/locale/client/ar/BOINC Manager.mo on clean target
      this file is regenerated on build and FTBFS when the package
      is built two times in a row
    + remove config.guess and config.sub on clean, this will
      prevent that auto-generated changes goes to .diff.gz
    + remove client/scripts/Makefile, client/scripts/boinc-client
      and sea/Makefile, to prevent that those files end on 
      .diff.gz file
   * debian/po/ja.po added, thanks goes to Hideki Yamane, Closes: #510718
   * debian/patches: add description, Author and some other info to all
     patches.
   * 005_hyphen_as_minus.patch added; Add <option> tag to some options
     on doc/manpages/boinccmd.xml
   * debian/manpages/update-boinc-applinks.xml, use <option> tag on --help
     option referenced on OPTIONS section.
   * 101_check_RSA_returned_values.patch from unstable, added

 -- Rene Mayorga <rmayorga@debian.org>  Sun, 11 Jan 2009 15:25:21 -0600

boinc (6.2.18-1) experimental; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
  * debian/control:
    - Updated Vcs-* fields since we are now using Git.
    - wxWidgets 2.8 is now in unstable, so upgraded the build-dependency from
      libwxgtk2.6-dev to libwxgtk2.8-dev. (closes: #461581) Also let boinc-dbg
      suggest libwxgtk2.8-dbg instead of libwxgtk2.6-dbg.
  * Removed compatibility symlinks for boinc_client and boinc_cmd.
  * debian/rules:
    - Switched to debhelper V7 (from V5) to minimize rules file. Updated
      build-dependency and compatibility level accordingly.
    - Regenerate the binary message catalogs for the BOINC Manager from the po
      files in locale/client/.
  * debian/boinc-client.init: Cosmetic changes of the status action output.

 -- Frank S. Thomas <fst@debian.org>  Thu, 21 Aug 2008 20:25:31 +0200

boinc (6.2.14-3) unstable; urgency=low

  * Add debian/patches/101_check_RSA_returned_values.patch 
    Check the returned values for RSA_public_decrypt and
    RSA_private_encrypt functions. Change ported by upstream changeset 16883
    (http://boinc.berkeley.edu/trac/changeset/16883) Closes: #511521
  * debian/patches
    001_dont_install_ca-bundle.crt.patch and 
    002_remove_hardcoded_optimization.patch Refreshed
  * debian/control - add myself to uploaders

 -- Rene Mayorga <rmayorga@debian.org.sv>  Tue, 13 Jan 2009 14:05:38 -0600

boinc (6.2.14-2) unstable; urgency=low

  * Updated translations for the BOINC Manager from the 6.2.16 release:
    locale/client/{es,fr,it,pl,zh_CN}/BOINC Manager.po
  * Commented out "#define BOINC_PRERELEASE 1" in version.h.in because 6.2.14
    was rereleased upstream as first 6.2 public release.

 -- Frank S. Thomas <fst@debian.org>  Tue, 12 Aug 2008 11:01:14 +0200

boinc (6.2.14-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
  * debian/copyright: Changed one line to not exceed 80 characters and thus
    making Lintian happy again. 

 -- Frank S. Thomas <fst@debian.org>  Sun, 20 Jul 2008 09:00:33 +0200

boinc (6.2.12-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
  * debian/extra/move-boinc-dir.sh: Adjusted code to boinc-client's postinst.

 -- Frank S. Thomas <fst@debian.org>  Tue, 08 Jul 2008 23:57:01 +0200

boinc (6.2.11-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
  * debian/control: Bumped Standards-Version from 3.7.3 to 3.8.0. This
    required to add a debian/README.source file to explain that we use quilt
    and to move the paragraph about repackaged upstream source from
    debian/copyright to this new file.

 -- Frank S. Thomas <fst@debian.org>  Sat, 05 Jul 2008 09:29:13 +0200

boinc (6.2.7-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
    - BOINC Manager: Redraw disk usage charts immediately after connecting to
      a (different) client. (closes: #463823)
  * debian/copyright:
    - Added the instructions from debian/README.Debian-source about how
      repackaged BOINC tarballs can be reproduced because DevRef now
      recommends to put this here instead of in the afore-mentioned file.
    - Updated for the new release.
  * Removed the obsolete debian/README.Debian-source.
  * For consistency upstream renamed the core client and the command tool
    ("boinc_client" to "boinc" and "boinc_cmd" to "boinccmd"). Done the same
    in all packages and created symlinks with the old names for the binaries
    and man pages. Also added an entry in debian/boinc-client.NEWS explaining
    this change.
  * debian/rules: Do not list Makefile.ins in the clean target individually,
    just remove all that can be found.

 -- Frank S. Thomas <fst@debian.org>  Sat, 31 May 2008 08:02:47 +0200

boinc (5.10.45-3) unstable; urgency=low

  [ Daniel Hahler ]
  * debian/boinc-client.init:
    Do not fail, if ionice/ioprio_set is not allowed (LP: #218468)

 -- Frank S. Thomas <fst@debian.org>  Wed, 14 May 2008 12:12:06 +0200

boinc (6.1.15-1) experimental; urgency=low

  [ Frank S. Thomas ]
  * New experimental upstream release.
    - Improved user idle checking on Linux. (closes: #448982)
  * debian/rules:
    - Don't clean lib/boinccmd, *.unmodified and other files by hand in the
      clean-patched target, since they are now removed by upstream's
      makefiles on "make clean".
  * Removed the man pages for boinc_client, boinc_cmd, and boincmgr from the
    Debian-diff because they are now included in the upstream source and also
    handled by upstream's makefiles.
  * Rewrote debian/copyright in the format which is described in this wiki
    page: http://wiki.debian.org/Proposals/CopyrightFormat
  * debian/control:
    - BOINC now requires cURL >= 7.17.1 to build, therefore updated the
      build-dependency on libcurl4-openssl-dev and removed the alternative
      build-dependency on libcurl3-openssl-dev which cannot satisfy this
      requirement.
    - Spread the Build-Depends field over multiple physical lines to make
      reading diffs easier.

 -- Frank S. Thomas <fst@debian.org>  Tue, 15 Apr 2008 13:42:40 +0200

boinc (5.10.45-2) unstable; urgency=low

  [ Debconf translations ]
  * Added Finnish (fi.po) by Esko Arajärvi <edu@iki.fi>. (closes: #472558)

  [ Frank S. Thomas ]
  * debian/control: Updated boinc-dev's dependency on the concrete
    libstdc++-dev package now that GCC 4.3 is the default compiler.
  * debian/boinc-manager.desktop: Included Czech translations for GenericName
    and Comment from the .desktop file in the Fedora package.

 -- Frank S. Thomas <fst@debian.org>  Mon, 07 Apr 2008 16:32:01 +0200

boinc (5.10.45-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
  * debian/rules: Do not declare the patch and unpatch targets as phony,
    because the included /usr/share/quilt/quilt.make does this already.

 -- Frank S. Thomas <fst@debian.org>  Thu, 13 Mar 2008 01:04:38 +0100

boinc (5.10.44-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
    - BOINC Manager: Clear all cached messages and resume auto-scrolling when
      connected host has changed (cp. r14813, r14817). (closes: #468187)

 -- Frank S. Thomas <fst@debian.org>  Sat, 01 Mar 2008 15:07:05 +0100

boinc (5.10.43-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
    - BOINC Manager: Do not crash when closing. (closes: #444339)

 -- Frank S. Thomas <fst@debian.org>  Tue, 26 Feb 2008 17:58:31 +0100

boinc (5.10.42-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
  * debian/rules: Make the scripts /usr/share/bug/boinc-client/script and
    /usr/share/doc/boinc-manager/examples/run-boincmgr executable because
    they have a shebang. Thanks Lintian for noticing this.
  * debian/patches/: Updated 101_fix_memory_detection_on_kfreebsd.patch for
    the new release.
  * debian/watch: Only check for versions with an even minor version number.
    Versions with an odd minor version number are test releases which are not
    intended for a wider audience.
  * Reverted the debhelper compat level bump. It was just unnecessary (boinc
    does not need V6) and it would have made backporting harder.
  * Merged the workaround from Ubuntu's 5.10.30-5ubuntu3 for Linux's new CFS
    with the following changes:
    - Renamed debian/extra/udev-usr_share to debian/extra/udev-cpu_share
      because this name seems to be more appropriate since this script changes
      the boinc user's cpu_share.
    - Install udev-cpu_share into /usr/share/boinc-client instead of
      /usr/lib/boinc-client since it is an architecture-independent shell
      script.
    - Use lowercase variables in the init script because UID is set by bash
      and it complains when trying to overwrite it.
    Thanks to Daniel Hahler <daniel@thequod.de> for investigating this issue
    and the patch. (closes: #461630)

 -- Frank S. Thomas <fst@debian.org>  Mon, 25 Feb 2008 00:53:20 +0100

boinc (5.10.30-5ubuntu3) hardy; urgency=low

  * Install /usr/lib/boinc-client/udev-usr_share with correct perms
    (executable), so that it gets called by udevd.

 -- Daniel Hahler <ubuntu@thequod.de>  Mon, 04 Feb 2008 00:40:08 +0100

boinc (5.10.30-5ubuntu2) hardy; urgency=low

  * Revert changes from ubuntu1 and instead use the uevent udev
    interface to assign the lowest possible cpu_share to the
    boinc user. This is still considered to be a workaround.
    - Add debian/boinc-client.udev
    - debian/rules: call dh_installudev
    - Add debian/extra/udev-usr_share, which gets run by udevd
    - Drop debian/patches/ubuntu_temp_cfs_fix.patch
  * debian/boinc-client.init: Display cpu_share info for "status"
    action

 -- Daniel Hahler <ubuntu@thequod.de>  Sat, 02 Feb 2008 23:32:25 +0100

boinc (5.10.30-5ubuntu1) hardy; urgency=low

  * debian/patches/ubuntu_temp_cfs_fix.patch:
    Temporary workaround for the new CFS Linux scheduler,
    by adjusting the "boinc" user's cpu_share to the minimum (2)
    in the init script (LP: #177713)
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Daniel Hahler <ubuntu@thequod.de>  Sat, 02 Feb 2008 02:48:01 +0100

boinc (5.10.30-5) unstable; urgency=low

  [ Frank S. Thomas ]
  * debian/manpages/update-boinc-applinks.xml: Updated from DocBook 4.2 to
    4.4, which is the latest version in etch.
  * Added debian/watch file, which uses Subversion's directory listing of the
    tags directory to determine the upstream version. Therefore this is only
    useful for version comparison (e.g. for DEHS and DDPO).
  * Bumped debhelper compat level from V5 to V6 since this is the current
    recommended level and raised the build dependency to "debhelper (>= 6)".
  * Removed debian/patches/103_fix_terminal_activity_detection.patch in favor
    of adding the --check_all_logins option to the default BOINC_OPTS in
    boinc-client's init script.

  [ Debconf translations ]
  * Added Swedish (sv.po) by Christer Andersson <klamm@comhem.se>.
    (closes: #461172)

 -- Frank S. Thomas <fst@debian.org>  Mon, 21 Jan 2008 21:20:52 +0100

boinc (5.10.30-4) unstable; urgency=low

  [ Frank S. Thomas ]
  * debian/manpages/update-boinc-applinks.xml: Fixed Lintian's informational
    tag "I: hyphen-used-as-minus-sign" by enclosing options in <command>
    elements with the <option> element.
  * debian/rules:
    - Official BOINC platforms for some Debian GNU/Linux ports (alpha, ia64,
      powerpc, and sparc) were assigned upstream and therefore changed these
      platforms accordingly:
      -   alpha-unknown-linux-gnu ->  alpha-hp-linux-gnu
      -    ia64-unknown-linux-gnu ->      ia64-linux-gnu
      - powerpc-unknown-linux-gnu ->   powerpc-linux-gnu
      -   sparc-unknown-linux-gnu -> sparc-sun-linux-gnu
    - Removed the --target and --program-prefix options from TYPE_FLAGS,
      because they are not required to set the BOINC platform anymore.

 -- Frank S. Thomas <fst@debian.org>  Fri, 11 Jan 2008 11:33:30 +0100

boinc (5.10.30-3) unstable; urgency=low

  [ Frank S. Thomas ]
  * debian/patches/:
    - Renamed 201_missing_headers_for_gcc4.3.patch to 102_... because it has
      been applied upstream in r14436.
    - Added 103_fix_terminal_activity_detection.patch to fix the activity
      detection in terminal applications. (closes: #448982)
  * debian/rules: Pass "LDFLAGS=-Wl,--as-needed" to configure in order to
    remove unnecessary library dependencies.
  * debian/boinc-client.postinst: Changed the default permission of the
    global_prefs_override.xml conffile from 0644 to 0664 so that local
    preferences are saved when GUI RPCs are used to set them. (closes: #458007)

 -- Frank S. Thomas <fst@debian.org>  Mon, 31 Dec 2007 10:28:34 +0100

boinc (5.10.30-2) unstable; urgency=low

  [ Frank S. Thomas ]
  * debian/rules: Wrote get-orig-source target which fetches the latest tagged
    BOINC version.
  * debian/patches/:
    - Added 201_missing_headers_for_gcc4.3.patch which adds missing C++
      headers to several source files. This is required to fix a FTBFS with
      recent GCC 4.3 snapshots. Thanks to Martin Michlmayr <tbm@cyrius.com>
      for the bug report. (closes: #456041)
    - Added 101_fix_memory_detection_on_kfreebsd.patch from upstream r14415
      based on a patch by Andrew Deason <adeason2@uiuc.edu> which fixes memory
      detection on Debian GNU/kFreeBSD. (closes: #456586)

 -- Frank S. Thomas <fst@debian.org>  Thu, 20 Dec 2007 06:23:54 +0100

boinc (5.10.30-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
  * debian/boinc-client.default: Removed --return_results_immediately from the
    example BOINC_OPTS variable, because this command line option is not
    implemented and won't be available in BOINC >= 6.1, see upstream r14280.
  * debian/control:
    - Bumped Standards-Version from 3.7.2 to 3.7.3, no changes required.
    - Changed my maintainer address to fst@debian.org.

  [ Thibaut VARENE ]
  * debian/boinc-client.{init,default}: Added option to enable advanced
    scheduling of the client and its sub-processes by default.
    (closes: #449015)

 -- Frank S. Thomas <fst@debian.org>  Wed, 05 Dec 2007 03:02:28 +0100

boinc (5.10.27-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release. (closes: #447929)
    - Handles change in /proc/cpuinfo on powerpc introduced in Linux 2.6.23.
      Thanks to Thibaut VARENE <varenet@debian.org> for the patch.
      (closes: #437459)
    - Allows to set arbitrary many alternate platforms in the client's config
      file cc_config.xml with the <alt_platform> element which is a direct
      child of the <options> element. (closes: #437326)
    - BOINC Manager: At account creation check if wxGetUserName() returned an
      empty string and if it did use the output of wxGetUserId() instead.
      Thanks to Morita Sho <morita-pub-en-debian@inz.sakura.ne.jp> for the
      excellent bug report. (closes: #447320)
  * debian/control:
    - Moved Homepage pseudo field in the long descriptions to the source stanza
      because this is now a propper debian/control field supported by dpkg.
    - Removed XS- prefix from Vcs fields since they are now officially
      supported by dpkg.
  * debian/boinc-client.init: Print the scheduling status of boinc_client's
    children only if there are any present, otherwise schedtool would be
    called without arguments and would print its usage text.
  * debian/icons/: Use icons with transparent background.
  * debian/boinc-manager.desktop:
    - Addded Portuguese translations for GenericName and Comment, thanks to
      Marco Rodrigues <gothicx@sapo.pt>.
    - Monitor is a subcategory of the System main category, so use System
      instead of Utility.
    - Removed the Encoding key since it is deprecated in the Desktop Entry
      Specification 1.0 and added the Version key.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Thu, 25 Oct 2007 20:54:09 +0200

boinc (5.10.8-2) unstable; urgency=low

  [ Frank S. Thomas ]
  * debian/boinc-manager.menu: Changed section for the new menu hierarchy from
    "Apps/Tools" to "Applications/System/Monitoring".
  * debian/icons/: Updated icons to the new BOINC logo.
  * debian/boinc-client.init:
    - Added patch to use advanced scheduling for the client and it's children
      using the schedtool and ionice utilities. For now advanced scheduling is
      disabled by default. Invoke the init script with the schedule option to
      enable it. Thanks to Omen Wild <dbug4.flibble@mandarb.com> for the
      patch. (closes: #423259)
    - Specified default values for the variables of the /etc/default file and
      changed script to exit quietly if the default $BOINC_CLIENT is used but
      not present so that it does not fail if the boinc-client package was
      removed but not purged. Both is required by the Debian Policy.
  * debian/control:
    - Added schedtool, which if installed can be used for advanced scheduling
      in boinc-client's init script, to boinc-client's Suggest field.
    - Made boinc-dbg dependent on "boinc-client (= ${binary:Version})" or
      "boinc-manager (= ${binary:Version})" to ensure that the versions
      between the debug and program packages do not differ.
    - Since GCC 4.2 is now the default compiler, updated boinc-dev's
      dependency on libstdc++-dev to the concrete package libstdc++6-4.2-dev.
  * debian/rules:
    - Added --with-boinc-platform=... to TYPE_FLAGS being another attempt to
      get the right platform name on ppc64.
    - Changed the BOINC platform on kfreebsd-i386 from i486-pc-kfreebsd-gnu to
      i686-pc-kfreebsd-gnu to be consistent with the platform name for i386
      and made i686-pc-kfreebsd-gnu an alternate platform for
      x86_64-pc-kfreebsd-gnu.
    - Set powerpc-unknown-linux-gnu as alternate platform for ppc64-linux-gnu.
  * debian/boinc-client.postrm: Use the --system option for deluser/delgroup
    to ensure that we are removing system accounts only and mask the
    deluser/delgroup calls because adduser is not essential and we can't rely
    on non-essential packages to be present during the purge phase. This would
    be a Policy violation, see section 7.2.

  [ Debconf translations ]
  * Added Spanish (es.po) by Javier Fernández-Sanguino Peña
    <jfs@computer.org>. (closes: #437379)
  * Added Slovak (sk.po) by helix84 <helix84@centrum.sk>. (closes: #437670)

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sun, 09 Sep 2007 09:47:27 +0200

boinc (5.10.8-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
    - Fixed wrong CPU information on alpha, hppa, ia64, ppc and sparc.
      (closes: #406853)
    - Use i686-pc-linux-gnu as alternative platform name for
      x86_64-pc-linux-gnu to get i386 binaries on amd64. (closes: #366741)
      Hence all traces to our own mechanism to override the platform name on
      amd64 have been removed:
      - debian/patches/001_amd64_disable_platform_reset.patch
      - debian/extra/use-32bit-on-amd64.sh
      - the associated paragraph from debian/boinc-client.README.Debian
  * Updated boinc_client's, boinc_cmd's and boincmgr's manual pages for the
    new release.
  * debian/boinc-client.{init,default}: Use two dashes for boinc_client's
    command line options instead of one because that is it's default now.
  * debian/boinc-client.postinst: Use "[ ... ] && [ ... ]" instead of
    "[ ... -a ... ]" because these constructs are much easier to read.
  * debian/boinc-client.preinst: Use dpkg-query instead of poking directly
    into the dpkg status file. See this thread for more information:
    http://lists.debian.org/debian-devel/2007/05/msg01070.html
  * debian/conffiles/{cc_config.xml,global_prefs_override.xml}: Added comments
    which explain the purpose of each configuration file and which contain
    URLs to upstream documentation for each of them.
  * debian/copyright:
    - State that the source code is obtained via Subversion (and not via CVS)
      and added a pointer to debian/README.Debian-source.
    - Updated for the new release.
  * Added /usr/share/bug/boinc-client/script which pastes boinc-client's
    init script configuration file (/etc/default/boinc-client) into bug
    reports because this might be helpful for debugging.
  * extra/bash/boinc: Added bash completion for boinc_client and boinc_cmd.
  * debian/rules:
    - Don't ignore $(MAKE) distclean errors to make lintian happy.
    - Install unstripped versions of boinc_client, boinc_cmd and boincmgr
      and let dh_strip do this job for us. Now building BOINC with
      DEB_BUILD_OPTIONS="nostrip" actually does what it should do.
  * debian/patches/: Added 002_remove_hardcoded_optimization.patch to remove
    hardcoded compiler flags from client/Makefile.am and to make debian/rules
    the only place again where compiler flags are defined.
    (probably closes: #427661)
  * New boinc-dbg package added to provide debugging symbols for BOINC
    binaries.
  * debian/boinc-dev.{install,links}:
    - Don't install lib/common_defs.h manually, "make install" does this now.
    - Create a symlink in /usr/share/boinc-dev/lib/ to the new str_util.h.

  [ Steffen Moeller ]
  * Smallish changes to Debian READMEs and man pages.

  [ Debconf translations ]
  * Added Portuguese (pt.po) by Miguel Figueiredo <elmig@debianpt.org>.
    (closes: #428278)

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sun, 01 Jul 2007 11:43:53 +0200

boinc (5.8.17-2) unstable; urgency=low

  [ Frank S. Thomas ]
  * debian/control:
    - Extended boinc-manager's long description.
    - Added libcurl4-openssl-dev to Build-Depends because the libcurl packages
      have bumped sonames. The B-D on libcurl3-openssl-dev remains as
      alternative dependency to ease backporting to etch.
      (closes: #424501, #425225)
  * Updated all BOINC URLs to point to their new location in the official
    BOINC wiki according to http://boinc.berkeley.edu/trac/wiki/FileList.
  * debian/boinc-dev.{install,links}: Install lib/common_defs.h header to fix
    a FTBFS of boinc-app-seti with boinc-dev/5.8.17-1. This was discovered by
    Lucas Nussbaum's archive rebuild. (closes: #422643)
  * debian/manpages/*.xml: Made <ulink> elements empty if their content was
    the same as the content of their url attribute.

  [ Steffen Moeller ]
  * debian/control: Extended boinc-client's long description.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sun, 20 May 2007 12:09:40 +0200

boinc (5.8.17-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
    - BOINC Manager:
      - Broadened "Options" dialog so that labels does not get truncated.
        (closes: #389840)
      - Display project names in "Reset Project" dialog correctly. (LP: #83708)
      - Fixed run mode entries in "Activity" menu. (LP: #93850)
  * debian/control:
    - Bumped versioned Build-Depends on libcurl3-openssl-dev to >= 7.15.5
      which is required for the bandwith-throttling feature. Also removed the
      alternative on libcurl-ssl-dev because this was only added to aid
      backporting BOINC to sarge but sarge has only libcurl3-dev/7.13.2.
    - Added libxml2-utils to Build-Depends for xmllint which is used in the
      unit-test target in debian/rules.
  * debian/rules:
    - Added the unit-test target which uses xmllint to check if the XML
      conffiles cc_config.xml and global_prefs_override.xml are well-formed.
    - Since backporting to sarge is not possible any more, also removed the
      compatibility code for sarge's version of dpkg-architecture.
    - On ppc64 use ppc64-linux-gnu as BOINC platform (which is the official
      BOINC platform) instead of powerpc64-unknown-linux-gnu.
  * Switched patch system from dpatch to quilt.
  * debian/patches/:
    - Updated 001_amd64_disable_platform_reset.patch for the new release.
    - Updated 003_use_sensible-browser.patch for the new release.
    - Added 101_gcc_4.3_fixes.patch that fixes a FTBFS with GCC 4.3, thanks to
      Martin Michlmayr <tbm@cyrius.com>. (closes: #413307)
  * debian/boinc-client.postinst: Change the permission and ownership of
    boinc-client's conffiles from 0644 boinc:boinc to 0640 root:boinc for
    gui_rpc_auth.cfg and to 0644 root:boinc for the rest but only if no
    "stat override" exists. (closes: #407678)
  * debian/boinc-client.postrm: Changed postrm so it does not fail if debconf
    is not available. (closes: #416663)
  * Replaced the log_flags.xml conffile with cc_config.xml:
    - Added debian/boinc-client.preinst which removes the obsolete conffile
      /etc/boinc-client/log_flags.xml if it was not modified locally or
      renames it to /etc/boinc-client/log_flags.xml.dpkg-bak if it was.
    - Added debian/boinc-client.NEWS which explains that the conffile
      /etc/boinc-client/log_flags.xml is now obsolete and is superseded by
      /etc/boinc-client/cc_config.xml.
  * Added the run-boincmgr shell script as example to the boinc-manager
    package. This script sources /etc/default/boinc-client and chdir into
    $BOINC_DIR before starting boincmgr so that the BOINC Manager can read the
    password from $BOINC_DIR/gui_rpc_auth.cfg file. See Ubuntu bug #48768 for
    more details.
  * debian/boinc-client.README.Debian: Added paragraph "Mass deployment of
    boinc-client that automatically attach to an Account Manager" which points
    (at the moment) to T-Bone's post on the pkg-boinc-devel mailing list.
  * debian/boinc-client.install: Install the switcher binary into
    /usr/lib/boinc-client/.
  * debian/boinc-dev.{install,links}:
    - Don't install lib/error_numbers.h, lib/gui_rpc_client.h,
      lib/std_fixes.h, config.h and version.h manually because they are now
      installed by the upstream makefiles.
    - Added lib/md5_file.h to boinc-dev as requested by Alex Owen.
  * Added ca-certificates to boinc-client's Depends field and create the
    ca-bundle.crt symlink (which points to /etc/ssl/certs/ca-certificates) in
    Debian's default BOINC data directory (/var/lib/boinc-client/) in
    boinc-client.postinst.
  * Updated boinc_cmd's and boincmgr's manual pages for the new release.
  * Updated debian/copyright for the new release.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Thu, 19 Apr 2007 19:57:34 +0200

boinc (5.4.11-5) unstable; urgency=low

  [ Frank S. Thomas ]
  * debian/patches/:
    - 01_amd64-disable-platform-reset.dpatch: Only reset projects if the
      platform name in the statefile is not empty. This bugfix has been
      backported from BOINC 5.8. (closes: #407461)

  [ Debconf translations ]
  * Added Galician (gl.po) by Jacobo Tarrio <jtarrio@trasno.net>.
    (closes: #413461)
  * Added Dutch (nl.po) by cobaco (aka Bart Cornelis) <cobaco@skolelinux.no>.
    (closes: #413887)

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Mon, 12 Mar 2007 15:38:54 +0100

boinc (5.4.11-4) unstable; urgency=low

  [ Debconf translations ]
  * Added German (de.po) by Matthias Julius <mdeb@julius-net.net>.
    (closes: #400228)
  * Added Czech (cs.po) by Jakub Kasparec <mr.k@centrum.cz>. (closes: #401923)

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Wed,  6 Dec 2006 23:07:26 +0100

boinc (5.4.11-3) unstable; urgency=low

  [ Frank S. Thomas ]
  * clientgui/ValidateEmailAddress.cpp: Use a much simpler regex to validate
    e-mail addresses. This also allows addresses that contain '+' in their
    local-part. This regex is also used in BOINC's PHP function
    is_valid_email_address() in html/inc/email.inc. (closes: #393948)

  [ Debconf translations ]
  * Added French (fr.po) by Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr>. (closes: #393499)

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sun, 22 Oct 2006 17:58:01 +0200

boinc (5.4.11-2) unstable; urgency=low

  [ Frank S. Thomas ]
  * Use debconf to ask whether the default BOINC data directory
    /var/lib/boinc-client should be removed while purging the boinc-client
    package. The wording of the template was taken from the
    dbconfig-common/purge template.
  * debian/control:
    - Added po-debconf to Build-Depends because debconf-updatepo is called in
      the clean target of debian/rules.
    - Added XS-Vcs-Svn field to the source stanza.
    - Changed order of Build-Depends: List packages that are needed for the
      packaging first, then list packages that are needed to compile the
      upstream source.
  * debian/rules:
    - When using the --target configure option also append --program-prefix=""
      to avoid that programs are prefixed with "i686-pc-linux-gnu-".
    - Install the checkin_notes file as upstream changelog.
  * debian/copyright:
    - Added copyright note about the Debian packaging.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Fri,  6 Oct 2006 10:35:17 +0200

boinc (5.4.11-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
  * Added the header file lib/gui_rpc_client.h to the boinc-dev package as
    requested by Folkert van Heusden.
  * debian/control:
    - Removed Greg Norris <adric@debian.org> from the Uploaders field.
  * debian/rules:
    - Applied patch from Robert Millan <rmh@aybabtu.com> which simplifies the
      platform override for i386. We are now using --target instead of the
      --build and --host switches. This also needed some changes in
      boinc-client.install and boinc-manager.install. Thanks Robert for the
      patch. (closes: #383871)
  * debian/patches/:
    - Added 01_amd64-disable-platform-reset.dpatch from Robert Millan
      <rmh@aybabtu.com>. This patch prevents that projects are reset when the
      platform name in client_state.xml does not match the platform name the
      client was compiled for and it also sets the platform name from
      client_state.xml as the valid platform name which will be used for
      scheduler requests. This patch only affects AMD64. (related to: #366741)
  * Explain in boinc-client's README.Debian how to modify the BOINC core
    client so that it downloads 32bit applications on AMD64. The
    01_amd64-disable-platform-reset.dpatch patch is mandatory for this
    procedure to work correctly. (also related to: #366741, LP#51948)
  * Added two helper scripts (move-boinc-dir.sh and use-32bit-on-amd64.sh)
    as examples in the boinc-client package.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sun, 27 Aug 2006 14:50:00 +0200

boinc (5.4.10-2) unstable; urgency=medium

  [ Frank S. Thomas ]
  * Removed -ffast-math from the client's optimization flags because it causes
    a floating point exception on Alpha when the client is started.
    (closes: #379137)
  * Added conffile /etc/boinc-client/log_flags.xml which can be used to turn
    on/off logging and debugging messages. For a detailed list of messages
    that can be turned on/off, see http://boinc.berkeley.edu/client_msgs.php
    Note that this file was renamed to cc_config.xml in BOINC (>= 5.5.2).
  * Applied patches from Peter Bailis <pbailis@gmail.com> for the boinc_cmd
    manual page. Thanks again Peter!
  * debian/control:
    - Added boinc-app-seti to boinc-client's Suggests field.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Tue, 25 Jul 2006 12:55:10 +0200

boinc (5.4.10-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
    - Display Account Manager names correctly in BOINC Manager. This fixes
      Ubuntu bug #48246.
  * debian/control: 
    - Really bumped the Standards-Version to 3.7.2.
  * Added the boinc_gl.h header to the boinc-dev package. This file is needed
    to compile SETI@home's graphics component.
  * Added a hint to use "update-alternatives --set x-www-browser [...]" to
    manually set the x-www-browser alternative to boinc-manager's
    README.Debian. See Ubuntu bug #48766 for more details.
  * Use /usr/bin/python as interpreter for update-boinc-applinks instead of
    /usr/bin/python2.4 and make boinc-client depend on "python (>= 2.3)" to
    avoid the unnecessary strict dependency on Python 2.4.
  * Made debian/rules compatible with sarge's version of dpkg-architecture and
    added libcurl-ssl-dev as alternative for the libcurl3-openssl-dev build
    dependency. These changes aid in backporting BOINC to sarge. Thanks to
    Robert Millan for the patch. (closes: #373089)
  * debian/boinc-client.postinst:
    - Make sure that the group boinc exists before trying to create the user
      boinc. Thanks to Christoph Martin for the report. (closes: #372950)

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sat, 17 Jun 2006 21:09:15 +0200

boinc (5.4.9-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
    - Really fix the connection to a remote machine bug. (closes: #360143)
    - Fix another FTBFS bug with G++ 4.1, thanks again to Martin Michlmayr.
      (closes: #358650)
  * Removed watch file because upstream stopped providing nightly tarballs.
  * debian/control:
    - Bumped Standards-Version from 3.6.2 to 3.7.2, no changes required.
  * debian/patches/:
    - Removed 02_wx2.6-configure.ac.dpatch and 03_wx2.6-with-unicode.dpatch,
      both were included upstream.
    - Updated 07_use-sensible-browser.dpatch to use sensible-browser only,
      because upstream's attempt to start a browser fails miserably.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sat,  6 May 2006 16:41:01 +0200

boinc (5.4.3-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
    - BOINC Manager: Allow a connection request to reset a connection attempt
      to the local computer or another computer. Thanks to Zlatko Calusic for
      the report. (closes: #360143)
  * debian/control:
    - Improved the short description of all three packages. Thanks to
      Martin Schulze for his suggestions. (closes: #359332)
  * debian/patches/:
    - Removed 01_amd64-gcc4-fixes.dpatch, it was applied upstream.
    - Updated 03_wx2.6-with-unicode.dpatch and 07_use-sensible-browser.dpatch
      for the new upstream release.
  * Added conffile /etc/boinc-client/global_prefs_override.xml which can be
    used to edit preferences locally. For more information about this file,
    see http://boinc.berkeley.edu/prefs_override.php
  * Clarified and expanded the explanation of the -no_gui_rpc option in
    boinc_client's manpage based on Steffen's suggestion. Thanks to
    David Coe for the report. (closes: #362257)
  * Added the update-boinc-applinks tool that creates (or removes) symlinks to
    "anonymous" BOINC applications and their app_info.xml files in a given
    data directory. The "anonymous" applications and their app_info.xml files
    are provided by boinc-app-* packages (e.g. boinc-app-seti). Note that
    currently there are no boinc-app-* packages in the Debian archive.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sun, 16 Apr 2006 00:29:41 +0200

boinc (5.2.15-3) unstable; urgency=low

  [ Frank S. Thomas ]
  * debian/rules:
    - Call configure properly with the --build and --host switches as
      described in autotools-dev's README.Debian.
    - Remove *.unmodified binaries in the clean target, because those files
      are not removed by make distclean. This is needed to rebuild the
      packages in an already used source tree.
    - Update config.guess and config.sub from the autotools-dev package to add
      support for GNU/k*BSD.
  * debian/patches/:
    - Added 10_exclude-sea.dpatch to prevent building the self-extracting
      archive, since we don't need it in any case and this fixes a FTBFS on
      non-Linux hosts.
    - Modified 03_wx2.6-with-unicode.dpatch to fix Alioth bug #303021.
      Thanks to Steven Altermatt for the bug report.
  * Fixed FTBFS with G++ 4.1, thanks to Martin Michlmayr. (closes: #358650)

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Thu, 23 Mar 2006 21:26:01 +0100

boinc (5.2.15-2) unstable; urgency=low

  * Uploaded to Debian (closes: #281890).

  [ Frank S. Thomas ]
  * Added boinc-manager.README.Debian to explain how to set the web browser
    that the BOINC Manager uses.
  * Added the conffile "remote_hosts.cfg" to "/etc/boinc-client/". Old files
    are handled the same way as old "gui_rpc_auth.cfg" files.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Thu, 26 Jan 2006 19:25:20 +0100

boinc (5.2.15-1) experimental; urgency=low

  * New upstream release.

  [ Frank S. Thomas ]
  * debian/patches/:
    - Added 07_use-sensible-browser.dpatch. The BOINC Manager now uses
      "sensible-browser", which is part of the debianutils package, as
      fallback if wxWidgets' method to determine the default browser fails.
      Thanks to Olek Wojnar for the report and his helpful investigations.
  * debian/boinc-client.postrm: 
    - Be more verbose when removing the "boinc" user/group.
  * debian/boinc-manager.desktop:
    - Added "Path: /var/lib/boinc-client" so that the BOINC Manager can find
      the "gui_rpc_auth.cfg" file and does not ask for a password. This should
      be removed when the BOINC Manager is able to store passwords in its
      config file.
  * debian/control:
    - Added an extra space before the "Homepage" pseudo field according to the
      Developer's Reference, Section 6.2.4.
    - Added Christoph Martin <christoph.martin@uni-mainz.de> and
      Greg Norris <adric@debian.org> to Uploaders.
  * debian/copyright:
    - Added more copyright and license information for various files.
  * Created symlinks of headers and static libraries, which are required to
    build the SETI@home application, in "/usr/share/boinc-dev/".
  * Ship a default "gui_rpc_auth.cfg" file in "/etc/boinc-client/" and create
    a symlink in "/var/lib/boinc-client" to this file. Old "gui_rpc_auth.cfg"
    files are moved to "/etc/boinc-client/" before creating the symlink.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Mon,  9 Jan 2006 18:16:41 +0100

boinc (5.2.13a-1) experimental; urgency=low

  * New upstream release.

  [ Frank S. Thomas ]
  * debian/patches/:
    - Updated 01_amd64-gcc4-fixes.dpatch for the new release. 
    - Updated 03_wx2.6-with-unicode.dpatch for the new release.
  * Added LSB headers to the BOINC core client init script.
  * Record versions of build dependencies at compile-time using dh_buildinfo.
  * Updated MySQL (build) dependencies to "libmysqlclient15-dev" and
    "mysql-server-5.0".
  * Bumped debhelper compatibility level to V5 and updated it's build
    dependency to "debhelper (>= 5)".

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Thu,  1 Dec 2005 13:47:54 +0100

boinc (5.2.5-1) experimental; urgency=low

  * New upstream release.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sun,  6 Nov 2005 12:19:57 +0100

boinc (5.2.4-2) experimental; urgency=low

  [ Frank S. Thomas ]
  * debian/patches/:
    - Added 01_amd64-gcc4-fixes.dpatch again, it is still needed to compile
      BOINC on AMD64.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sat, 22 Oct 2005 16:13:55 +0200

boinc (5.2.4-1) experimental; urgency=low

  * New upstream release.

  [ Frank S. Thomas ]
  * debian/patches/:
    - Removed obsolete 01_amd64-gcc4-fixes.dpatch.
    - Updated 02_wx2.6-configure.ac.dpatch for new release.
    - Updated 03_wx2.6-with-unicode.dpatch for new release.
  * debian/control:
    - Add zlib1g-dev, libssl-dev and libcurl3-openssl-dev to Build-Depends.
    - Build depend on the newer libmysqlclient14-dev package since
      libmysqlclient12-dev is scheduled to be removed.
    - Moved all packages back to main. Non-free code (RSAEuro and GLUT) has
      been removed from BOINC.
    - Added ${misc:Depends} to all packages' Depends. This variable is not
      used at the moment.
    - Use a versioned dependency for lsb-base (>= 3.0-6) to ensure that the
      log_progress_msg function is available. (fixes: Alioth bug #302179)
  * debian/copyright:
    - Added copyright and license information for various PHP libraries
      found in html/inc/.
    - Added the full text of the Mozilla Public License 1.0 since stripchart
      is distributed under the MPL.
    - Removed RSAEuro and GLUT copyright and license information since this
      code was removed upstream.
  * debian/rules:
    - Rewrote debian/rules without CDBS. CFLAGS and CXXFLAGS are now forwarded
      to the build process.
    - Compile only the BOINC core client program with "-O3 -ffast-math".
    - Remove all files that are created by the autotools during the
      pre-build target in the clean target.
  * debian/boinc-client.postinst:
    - If the file "/var/lib/boinc-client/gui_rpc_auth.cfg" does not exist,
      create an empty one and make it readable by everyone. This allows
      every user on the same host to control the core client with GUI RPCs
      (eg. with "boincmgr" or "boinc_cmd").
  * The boinc-dev package now only includes headers and static libraries, that
    are installed by "make install". According to Bruce Allen this should be
    sufficient for building BOINC applications.
    (http://www.ssl.berkeley.edu/pipermail/boinc_dev/2005-October/003855.html)
  * Removed all references to RSAEuro from the boinc-dev package.
  * Added boinc-client.README.Debian that replaces boinc-client's previous
    NEWS file and explains how to use the BOINC core client in Debian.
  * Added icon to BOINC Manager's desktop file. (fixes: Alioth bug #302212)
  * Updated boincmgr.xml manpage and watch file.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sat, 22 Oct 2005 12:43:17 +0200

boinc (4.72-2) experimental; urgency=low

  [ Frank S. Thomas ]
  * Patched the BOINC Manager so that it compiles with Debian's experimental
    wxWidgets version 2.6.1 (see: 03_wxwidgets_with_unicode.patch).
  * Install "BOINC Manager.mo" files under /usr/share/locale/.
  * Use LSB init-functions for the boinc-client init script and add lsb-base
    dependency to boinc-client.
  * debian/control.in:
    - Added libjpeg62-dev to Build-Depends.
    - boinc-manager properly conflicts with and replaces now the old boinc-gui
      package. The experimental state of this package was a lame excuse for
      not providing a smooth upgrade path in 4.27-1.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sat, 13 Aug 2005 17:50:58 +0200

boinc (4.72-1) experimental; urgency=low

  * The "You are a credit junkie!" release.
  * New upstream release.

  [ Frank S. Thomas ]
  * debian/rules:
    - Set default C/C++ compiler flags to "-g -O3 -ffast-math".
  * debian/control.in:
    - Added missing build dependencies for the BOINC graphics API library
      (libsm-dev, libice-dev, libxi-dev, libx11-dev).

  [ Steffen Moeller ]
  * debian/control.in:
    - Revised long description of the boinc-client package.
    - Added "boinc-manager | kboincspy" to boinc-client's Suggests field. 

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sat, 30 Jul 2005 00:56:42 +0200

boinc (4.71-1) experimental; urgency=low

  * New upstream release.
  * Included the 'boinc_cmd' program into the boinc-client package. boinc_cmd
    is a command tool that provides an interactive command-line interface to
    the BOINC core client.
  * Created maintainer scripts to create/remove the '/var/lib/boinc-client'
    working directory and the system user/group 'boinc'.
  * Improved the boinc-client.init script and also removed the check for
    uninitialized working directories (no client_state.xml file).
  * Added .desktop file for the BOINC Manager program, thanks to Reed Hedges.
  * debian/control.in:
    - Added docbook-xml to Build-Depends. Without it this package FTBFS
      (particularly docbook2x-man fails) on some systems. Thanks to 
      Adrian Zaugg for the report.
    - Added libxmu-dev and freeglut3-dev (instead of the virtual package
      freeglut-dev) to Build-Depends. Both are needed for the graphical parts
      of the BOINC API library.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Wed, 20 Jul 2005 23:54:37 +0200

boinc (4.70-1) experimental; urgency=low

  * New upstream release.
  * Built with g++-4.0.
  * debian/boinc-client.init:
    - Added status option to init.d script as proposed in Debian bug #291148.
  * debian/control.in:
    - Removed Build-Conflicts on automake1.4 and automake1.6, because we invoke
      aclocal-1.9 and automake-1.9 in debian/rules directly now.
    - Bumped Standards-Version from 3.6.1 to 3.6.2, no changes required.
  * debian/rules:
    - Use 'i686-linux-gnu' as default DEB_BUILD_GNU_TYPE on 'i486-linux-gnu'.
      It is still possible to override DEB_BUILD_GNU_TYPE with the
      BOINC_BUILD_TYPE variable.
    - Added '--enable-client' and '--enable-server' as configure flags.
  * Added missing options to boinc-client manpage.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Thu,  7 Jul 2005 18:00:03 +0200

boinc (4.45a-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    - Moved all packages into non-free section, because RSAEuro's license
      does not comply with DFSG #6 (No Discrimination Against Fields of
      Endeavor). The RSAEuro license is included in debian/copyright.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Fri, 10 Jun 2005 16:39:21 +0200

boinc (4.40-1) experimental; urgency=low

  * New upstream release.
  * Disabled the boinc-manager package, because it build depends on
    wxWidgets 2.6 which is not in Debian yet.
  * debian/control.in:
    - Added Steffen Moeller and myself to Uploaders.
    - Build-Depend on libmysqlclient12-dev instead of the virtual package
      libmysqlclient-dev.
  * debian/boinc-manager.menu:
    - Added BOINC, Science and Monitoring to the 'hints' field.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Fri, 13 May 2005 23:30:01 +0200

boinc (4.27-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    - Added automake1.9 and autoconf (>> 2.52) to Build-Depends.
    - Added automake1.6 to Build-Conflicts.
  * Renamed boinc-gui package to boinc-manager. The BOINC manager binary was
    renamed from 'boinc_gui' to 'boincmgr', the BOINC core client binary was
    renamed to 'boinc'. This package is still experimental, so boinc-manager
    does not replace (or conflict with) boinc-gui.
  * debian/rules:
    - The BOINC_BUILD_TYPE environment variable can be used to specify
      DEB_BUILD_GNU_TYPE in debian/rules. This is an interim solution for
      the "platform '...' not found" problem.
    - Create symlinks of BOINC libraries and header files under
      /usr/share/boinc/ in the boinc-dev package.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Mon,  4 Apr 2005 19:18:31 +0200

boinc (4.26-1) experimental; urgency=low

  * New upstream release.
  * Added init.d script and defaults file for the boinc-client package.
  * debian/copyright:
    - Added copyright/license notices for RSAEURO, GLUT, Stripchart and
      Zip/UnZip.
  * Updated boinc_client and boinc_gui manpages.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Mon, 21 Mar 2005 02:33:02 +0100

boinc (4.25-1) experimental; urgency=low

  * New upstream release.
  * Provides now the boinc-gui package, which contains the BOINC manager, a
    graphical monitoring utility for the core client.
  * Revised the boinc_client manpage and added the boinc_gui manpage. Manpages
    are now created with the docbook2x-man tool.
  * debian/control: 
    - Added build dependences on libmysqlclient-dev, freeglut-dev,
      libwxgtk2.4-dev and docbook2x.
    - Added build conflict with automake1.4.
    - Changed section from "science" to "net" (boinc-client), "x11" (boinc-gui)
      and "devel" (boinc-dev).

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Tue,  8 Mar 2005 15:54:12 +0100

boinc (4.19-1) experimental; urgency=low

  * New upstream release.
  * Cleaned up the debian directory and rewrote debian/rules for cdbs. 

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Thu, 27 Jan 2005 15:51:54 +0100

boinc (4.18-1) experimental; urgency=low

  * New upstream release.
  * Removed debian/watch, because BOINC core releases are not distributed
    as tar archives.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Tue, 25 Jan 2005 17:26:42 +0100

boinc (4.17-1) experimental; urgency=low

  * New upstream release.
  * Removed menu entry of the boinc-client package.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Mon, 24 Jan 2005 20:35:10 +0100

boinc (4.16b-1) experimental; urgency=low

  * New upstream release.
  * Updated debian/copyright, because the BOINC source code is now distributed
    under the GNU Lesser General Public License (LGPL).

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Sun, 23 Jan 2005 15:48:10 +0100

boinc (4.13.20041201-1) experimental; urgency=low

  * New upstream release.
  * Package boinc-dev also contains Makefile.am as searched for by SETI client.

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Sun,  5 Dec 2004 23:32:17 +0100

boinc (4.13.20041119-1) experimental; urgency=low

  * Initial release.

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Fri, 12 Nov 2004 23:32:17 +0100

